#
# spec file for package php5 (Version 5.3.12)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# norootforbuild

Name:           php5
%global apiver      20090626
%global zendver     20090626
%define suhosin_version 0.9.33
%define suhosin_patch_version 0.9.10
%define with_suhosin_patch 0
%define pkg_name php5
%define with_spell 1
%if 0%{?suse_version} < 930
%define with_spell 0
BuildRequires:  heimdal-devel
%else
BuildRequires:  krb5-devel
%endif

%if 0%{?sles_version} == 10 || 0%{?suse_version} > 1010 && 0%{?suse_version} < 1110
BuildRequires:	imap sqlite-devel sqlite2-devel
%endif

%if 0%{?sles_version} == 11
BuildRequires:	imap-lib sqlite3-devel
%endif

BuildRequires:  mysql-devel libicu-devel apache2-devel enchant-devel bison curl-devel db-devel gmp-devel gtk-devel imap-devel libmcrypt-devel libtidy-devel libtiff-devel libxslt-devel mhash-devel mm-devel net-snmp-devel openldap2-devel orbit-devel pam-devel pkgconfig postfix postgresql-devel qt3-devel tcpd-devel unixODBC-devel update-alternatives zip autoconf213
%if %{with_spell}
BuildRequires:  aspell-devel
%endif
%if 0%{?suse_version} > 1000
# I would like this to become a hard dependency, as PHP is
# documented to have this modules by default (no addtional libs are needed)
Recommends:     php-ctype php-dom php-iconv php-sqlite php-tokenizer
Recommends:     php-xmlreader php-xmlwriter php-json php-hash
# other highly reccommended extensions
Suggests:       php-mbstring php-gd php-pear php-gettext php-mysql php-suhosin
%else
BuildRequires:  flex libgcrypt-devel rpm-devel
BuildRequires:  libjpeg libjpeg-devel
%endif
BuildRequires:  libedit-devel
# use system PCRE and sqlite  on 10.2 an up only, previous versions will not work.
%if 0%{?suse_version} > 1010
BuildRequires:  pcre-devel
%endif
#support t1lib in gd in 10.3 or later
%if 0%{?suse_version} > 1020
BuildRequires:  re2c t1lib-devel
#10.3 does not install sendmail binary with the minimal system
Requires:       smtp_daemon
%endif
#if 0%{?_with_qdbm:1}
#BuildRequires:  qdbm-devel
#endif
%define extension_dir     %{_libdir}/%{pkg_name}/extensions
%define peardir           %{_datadir}/%{pkg_name}/PEAR
%define php_sysconf       %{_sysconfdir}/%{pkg_name}
%define _x11prefix %(xft-config --prefix)
########################################
# apache macros
########################################
%define apxs2              %{_sbindir}/apxs2
%define apache2_mmn        %(MMN=$(%{apxs2} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
%define apache2_libexecdir %(%{apxs2} -q LIBEXECDIR)
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)
%define apache2_includedir %(%{apxs2} -q INCLUDEDIR)
%define apache2_serverroot %(%{apxs2} -q PREFIX)
%define need_libxml2_hack  %(if grep -q XML_PARSE_OLDSAX %{_includedir}/libxml/parser.h;then echo 1; else echo 0; fi)
#unfortunately at this stage we dont have a working PHP binary..
#define builtin_tz_ver 	2007.9
###
###
Version:        5.3.12
Release:        56.2
License:        The PHP License, version 3.01
Group:          Development/Languages/Other
Provides:       php zend php-xml php-spl php-simplexml php-session php-pcre php-date php-reflection php-filter
Provides: 		php-api = %{apiver}, php-zend-abi = %{zendver}
Provides: 		php(api) = %{apiver}, php(zend-abi) = %{zendver}
AutoReqProv:    on
PreReq:         update-alternatives
#extensions that are no longer here
Obsoletes:      php5-dbx php5-dio php5-fam php5-filepro php5-yp php5-dbase php5-ncurses
Source0:        php-%{version}.tar.bz2
Source1:        php-suse-addons.tar.bz2
Source2:        suhosin-%{suhosin_version}.tgz
Source4:        README.SUSE-pear
#until it gets fixed in upstream...
Source5:        Registry.php
Source6:        macros.php

Source8:	php-fpm-www.conf
Source9:	php-fpm.init
Source10:	php-fpm.logrotate
Source99:	php5-rpmlintrc
#SUSE specific stuff
Patch2:         php5-phpize.patch
Patch3:         php5-apache_sapi_install.patch
Patch4:         php5-php-config.patch
#home made hack to really build against libedit
##Patch5:         php5-really-with-libedit.patch
%if %{with_suhosin_patch}
Patch6:         suhosin-patch-%{version}-%{suhosin_patch_version}.patch.gz
%endif
#Patch7:         php-5.3.0-systzdata-v6.patch
#bugs
##Patch12:        suhosin-0.9.24-return-non-void.patch
Patch13:		php-5.2.9-BNC-457056.patch
##Patch16:		php-5.3.0-open_basedir-borked.patch
##Patch17:		php-5.3.0-curl_code_10.patch
##Patch18:		suhosin-0.9.29-retval.patch
Patch19:		php-5.3.0-bnc513080.patch
Patch20: 		php-5.3.3-ini.patch
Patch21:		php-5.3.4-session.patch
Patch22:		php-5.3.10-maillog-httphost.patch

Url:            http://www.php.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        PHP5 Core Files
Requires:		timezone

%description
This package contains the PHP5 core files, including PHP binary (CLI)
and PHP configuration (php.ini). This package must be installed in
order to use PHP. Additionally, extension modules and server modules
(e.g. for Apache) may be installed.

Additional documentation is available in package php-doc.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package devel
Provides:       php-devel pecl
Summary:        Include files of PHP5
Group:          Development/Languages/C and C++
#this is required by the installed  development headers
Requires:       %{name} = %{version} glibc-devel libxml2-devel
#this is needed for "pecl" functionality
Requires:       autoconf213 automake
# 5.2.2 or later installs php_pcre.h that requires pcre-devel
%if 0%{?suse_version} > 1010
Requires:       pcre-devel
%endif
Conflicts:      php4-devel
PreReq:         update-alternatives

%description devel
PHP is a server-side, cross-platform, HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory Tutorial.  Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the Links section. PHP5 is the latest version.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pear
Provides:       php-pear
Summary:        PHP Extension and Application Repository
Group:          Development/Libraries/PHP
Requires:       %{name}-zlib = %{version}
PreReq:         update-alternatives
%if 0%{?suse_version} > 1110
BuildArch: noarch
%endif

%description pear
PEAR is a code repository for PHP extensions and PHP library code
similar to TeX's CTAN and Perl's CPAN. This package provides an access
to the repository.

See http://pear.php.net/manual/ for more datails.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package -n apache2-mod_php5
Summary:        PHP5 Module for Apache 2.0
Group:          Productivity/Networking/Web/Servers
Requires:       apache2-prefork %{apache2_mmn} %{name} = %{version}
PreReq:         apache2
Conflicts:      apache2-mod_php4
Provides:       mod_php_any php-xml php-spl php-simplexml php-session php-pcre php-date php-reflection php-filter

%description -n apache2-mod_php5
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that, have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php5/README.SUSE for
information on how to load the module into the Apache webserver.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package fastcgi
Summary:        FastCGI PHP5 Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}
PreReq:         update-alternatives
Provides:       php-xml php-spl php-simplexml php-session php-pcre php-date php-reflection php-filter

%description fastcgi
PHP is a server-side, cross-platform HTML embedded scripting language.
If you are completely new to PHP and want to get some idea of how it
works, have a look at the Introductory tutorial. Once you get beyond
that have a look at the example archive sites and some of the other
resources available in the links section.

Please refer to /usr/share/doc/packages/php5/README.FastCGI for
information on how to use this module.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package bcmath
Provides:       php-bcmath
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description bcmath
Binary Calculator which supports numbers of any size and precision,
represented as strings.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package bz2
Provides:       php-bz2
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description bz2
PHP functions to read and write bzip2 (.bz2) compressed files.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package calendar
Provides:       php-calendar
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description calendar
PHP functions for converting between different calendar formats.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package ctype
Provides:       php-ctype
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description ctype
PHP functions for checking whether a character or string falls into a
certain character class according to the current locale.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package curl
Provides:       php-curl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description curl
PHP interface to libcurl that allows you to connect to and communicate
with servers of many different types, using protocols of many different
types.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package dba
Provides:       php-dba
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description dba
This is a general abstraction layer for several file-based databases.
As such, functionality is limited to a common subset of features
supported by modern databases such as Sleepycat Software's DB2. (This
is not to be confused with IBM's DB2 software, which is supported
through the ODBC functions.)



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package dom
Provides:       php-dom
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description dom
This module adds DOM support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package enchant
Provides:       php-enchant
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description enchant
Enchant is the PHP binding for the » Enchant library. Enchant steps in to provide uniformity and conformity on top of all spelling libraries, and implement certain features that may be lacking in any individual provider library. Everything should "just work" for any and every definition of "just working." 


Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package exif
Provides:       php-exif
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-mbstring = %{version}

%description exif
PHP functions for extracting EXIF (metadata from images) information
stored in headers of JPEG and TIFF images.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package fileinfo
Provides:       php-fileinfo 
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description fileinfo
The functions in this module try to guess the content type and encoding of a file by looking for certain magic byte sequences at specific positions within the file. While this is not a bullet proof approach the heuristics used do a very good job. 


Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package fpm
Summary:        FastCGI Process Manager PHP5 Module
License:        PHP-3.0.1
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}
PreReq:         %insserv_prereq
Provides:       php-fpm php-xml php-spl php-simplexml php-session php-pcre php-date php-reflection php-filter

%description fpm
  PHP is a server-side, cross-platform HTML embedded scripting language.
  If you are completely new to PHP and want to get some idea of how it
  works, have a look at the Introductory tutorial. Once you get beyond
  that have a look at the example archive sites and some of the other
  resources available in the links section.

  Please refer to /usr/share/doc/packages/php5/README.FastCGI for
  information on how to use this module.

%package ftp
Provides:       php-ftp
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-openssl = %{version}

%description ftp
PHP functions for access to file servers speaking the File Transfer
Protocol (FTP) as defined in rfc959.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package gd
Provides:       php-gd
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description gd
PHP functions to create and manipulate image files in a variety of
different image formats, including GIF, PNG, JPEG, WBMP, and XPM. Even
more convenient: PHP can output image streams directly to a browser.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package gettext
Provides:       php-gettext
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description gettext
PHP functions that implement an NLS (Native Language Support) API which
can be used to internationalize your PHP applications.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package gmp
Provides:       php-gmp
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description gmp
PHP functions for work with arbitrary-length integers using the GNU MP
library.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package hash
Provides:       php-hash php-mhash %{name}-mhash = %{version} 
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}
Obsoletes:		%{name}-mhash < %{version}

%description hash
Message Digest (hash) engine. Allows direct or incremental processing
of arbitrary length messages using a variety of hashing algorithms.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package iconv
Provides:       php-iconv
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description iconv
PHP interface to iconv character set conversion facility.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package imap
Provides:       php-imap
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description imap
PHP functions in this extension are not limited to the IMAP protocol,
despite their name. The underlying c-client library also supports NNTP,
POP3 and local mailbox access methods.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details


%package intl
Provides:       php-intl 
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description intl
Internationalization extension (further is referred as Intl) is a wrapper for » ICU  library, enabling PHP programmers to perform UCA-conformant collation and date/time/number/currency formatting in their scripts. 


Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details



%package json
Provides:       php-json
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description json
Support for JSON (JavaScript Object Notation) serialization.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package ldap
Provides:       php-ldap
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-openssl = %{version}

%description ldap
PHP interface to Lightweight Directory Access Protocol (LDAP).



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package mbstring
Provides:       php-mbstring
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description mbstring
This extension provides multi-byte character safe string functions and
other utility functions such as conversion functions.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package mcrypt
Provides:       php-mcrypt
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description mcrypt
PHP interface to the mcrypt library, which supports a wide variety of
block algorithms.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package mysql
Provides:       php-mysql php5-mysqli = %{version} php5-pdo_mysql = %{version}
Provides:       php_any_db
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-mysqli =< %{version} php5-pdo_mysql =< %{version}

%description mysql
PHP functions for access to MySQL database servers.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package odbc
Provides:       php-odbc php-pdo_odbc
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}

%description odbc
This module adds ODBC support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package openssl
Provides:       php-openssl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description openssl
This module adds OpenSSL support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pcntl
Provides:       php-pcntl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description pcntl
This module will attempt to implement all features related to process
spawning and control (fork(), waitpid(), signal(), WIF's, etc). This is
extremley experimental, with hope to become stable on most UNIX's. I
greatly appreciate any feedback, fixes, and or suggestions on how to
improve/better implement this functionality.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package phar
Provides:       php-phar
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-hash = %{version}

%description phar
The phar extension provides a way to put entire PHP applications into a 
single file called a "phar" (PHP Archive) for easy distribution and installation

Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pdo
Provides:       php-pdo
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description pdo
PHP Data Objects - Data Access Abstraction

- light-weight

- provides common API for common database operations

- keeps majority of PHP specific stuff in the PDO core (such as
persistent resource management); drivers should only have to worry
about getting the data and not about PHP internals.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package pgsql
Provides:       php-pgsql php5-pdo_pgsql = %{version} php_any_db
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-pdo_pgsql <= %{version}

%description pgsql
PHP functions for access to PostgreSQL database servers. It includes
both traditional pgsql and pdo_pgsql drivers.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package posix
Provides:       php-posix
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description posix
This module allows to use POSIX-like functions in PHP.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%if %{with_spell}

%package pspell
Provides:       php-pspell
Summary:        PHP5 pspell extension
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} aspell-en

%description pspell
PHP interface to the aspell, which provides spell checking
functionality.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%endif

%package readline
Provides:       php-readline
Summary:        PHP5 readline extension
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description readline
PHP interface to libedit, which provides editable command line as well
as PHP interactive mode (php -a)



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package shmop
Provides:       php-shmop
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description shmop
PHP functions to read, write, create and delete UNIX shared memory
segments.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package snmp
Provides:       php-snmp
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description snmp
PHP functions for SNMP.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package soap
Provides:       php-soap
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description soap
This module provides SOAP support.

SOAP extension can be used to write SOAP Servers and Clients. It
supports subsets of SOAP 1.1, SOAP 1.2 and WSDL 1.1 specifications.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sockets
Provides:       php-sockets
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sockets
A low-level interface to the socket communication functions based on
the popular BSD sockets, providing the possibility to act as a socket
server as well as a client. This extension is experimental!



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sqlite
Provides:       php-sqlite3 = %{version} php-sqlite = %{version} php5-pdo_sqlite = %{version}
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-pdo = %{version}
Obsoletes:      php5-pdo_sqlite <= %{version}

%description sqlite
This is an extension for the SQLite Embeddable SQL Database Engine.
http://www.sqlite.org/

SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server. The SQLite library reads and writes
directly to and from the database files on disk.

This package includes sqlite and pdo_sqlite modules for sqlite version
2 and 3 respectively.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details


%package suhosin
Provides:       php-suhosin
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description suhosin
Suhosin is an advanced protection system for PHP installations. It was
designed to protect servers and users from known and unknown flaws in
PHP applications and the PHP core.

Suhosin is binary compatible to normal PHP installation, which means it
is compatible to 3rd party binary extension like ZendOptimizer.



Authors:
--------
    Stefan Esser <stefan.esser@hardened-php.net>
    Peter Prochaska <peter.prochaska@hardened-php.net>
    Christopher Kunz <christopher.kunz@hardened-php.net>

%package sysvmsg
Provides:       php-sysvmsg
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sysvmsg
This module provides System V IPC support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sysvsem
Provides:       php-sysvsem
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sysvsem
PHP interface for System V semaphores.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package sysvshm
Provides:       php-sysvshm
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description sysvshm
PHP interface for System V shared memory.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package tidy
Provides:       php-tidy
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description tidy
Tidy is an extension based on Libtidy (http://tidy.sf.net/) and allows
a PHP dev eloper to clean, repair, and traverse HTML, XHTML, and XML
documents -- including ones with embedded scripting languages such as
PHP or ASP within them using OO constructs.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package tokenizer
Provides:       php-tokenizer
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description tokenizer
The tokenizer functions provide an interface to the PHP tokenizer
embedded in the Zend Engine. Using these functions you may write your
own PHP source analyzing or modification tools without having to deal
with the language specification at the lexical level.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package wddx
Provides:       php-wddx
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description wddx
PHP functions for Web Distributed Data Exchange.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xmlrpc
Provides:       php-xmlrpc
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description xmlrpc
This module adds XMLRPC-EPI support.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xsl
Provides:       php-xsl
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-dom = %{version}

%description xsl
This module adds new XSL support to PHP.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xmlreader
Provides:       php-xmlreader
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version} %{name}-dom = %{version}

%description xmlreader
XMLReader represents a reader that provides non-cached, forward-only
access to XML data. It is based upon the xmlTextReader api from libxml.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package xmlwriter
Provides:       php-xmlwriter
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description xmlwriter
XMLWriter wraps the libxml xmlWriter API. Represents a writer that
provides a non-cached, forward-only means of generating streams or
files containing XML data.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package zip
Provides:       php-zip
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description zip
Zip is an extension to create, modify and read zip files.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%package zlib
Provides:       php-zlib
Summary:        PHP5 Extension Module
Group:          Development/Libraries/PHP
Requires:       %{name} = %{version}

%description zlib
PHP functions to read and write gzip (.gz) compressed files.



Authors:
--------
    The PHP Group
    See http://www.php.net/credits.php for more details

%prep
%setup -q -n php-%{version} -a 1
%{__tar} xf %{S:2} -C ext
%{__mv} ext/suhosin-%{suhosin_version} ext/suhosin
%{__cp} %{S:4} pear/README.SUSE
#patch0 -p1
%patch2
%patch3 -p1
%patch4
##%patch5
%if %{with_suhosin_patch}
%patch6 -p1
%endif
#patch7 -p1
pushd ext/suhosin
##patch12
popd
%if %{need_libxml2_hack}
echo "***APPLY LIBXML2.7 FIX***"
%patch13
%else
echo "***SKIPPING LIBMXL2.7 FIX ***"
%endif
##%patch16
##%patch17
##patch18
%patch19
%patch20
%patch21
%patch22

# we build three SAPI
%{__mkdir_p} build-apache2 build-fpm
%{__mkdir_p} build-fastcgi/sapi/cgi/libfcgi
%{__mkdir_p} build-cli/ext/sqlite/libsqlite/src/
# THis happends only with bison 1.875
%if 0%{?suse_version} < 1010 
# our bison seems to generate wrong parser, so use the pregenerated ones...
for sapi in apache2 fpm fastcgi cli ; do
    %{__mkdir} build-$sapi/Zend
    %{__cp} \
        Zend/zend_language_scanner.c \
        Zend/zend_language_parser.h \
        Zend/zend_language_parser.c \
        Zend/zend_ini_parser.h \
        Zend/zend_ini_parser.c \
        build-$sapi/Zend
done
%endif
#vtzdb=`grep timezonedb_builtin  ext/date/lib/timezonedb.h | sed  -e 's/[^"]*"\([^"]\+\)"*[^"]*/\1\n/g' | head -n1`
#if test "x${vtzdb}" != "x%{builtin_tz_ver}"; then
#   : Error: Built-in timezonedb version is now ${vtzdb}, expecting %{builtin_tz_ver}.
#   : Update the builtin_tz_ver macro and rebuild.
#   exit 1
#fi

# Safety check for API version change.
vapi=`sed -n '/#define PHP_API_VERSION/{s/.* //;p}' main/php.h`
if test "x${vapi}" != "x%{apiver}"; then
   : Error: Upstream API version is now ${vapi}, expecting %{apiver}.
   : Update the apiver macro and rebuild.
   exit 1
fi

vzend=`sed -n '/#define ZEND_MODULE_API_NO/{s/^[^0-9]*//;p;}' Zend/zend_modules.h`
if test "x${vzend}" != "x%{zendver}"; then
   : Error: Upstream Zend ABI version is now ${vzend}, expecting %{zendver}.
   : Update the zendver macro and rebuild.
   exit 1
fi

%build
#find %{_libdir} -name "*.la" | xargs grep 'dependency_libs='''
# Force use of system libtool(when newer than the included)
#get rid of bundled libraries which are not used in 10.2 and later
%if 0%{?suse_version} > 1010
%{__rm} -rf ext/pcre/pcrelib ext/pdo_sqlite/sqlite
%endif
# regenerate configure etc.
# workaround: suhosin-patch updates timestamp of configure, confusing buildconf
%{__rm} configure
export PHP_AUTOCONF=autoconf-2.13
./buildconf --force
# export flags
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe"
CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -pipe"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif
export CFLAGS
export CXXFLAGS
export NO_INTERACTION=true
# where to install extensions
EXTENSION_DIR=%{extension_dir}
export EXTENSION_DIR
# build function
Build()
{
    sapi=$1
    pushd build-$1
    shift
    ../configure \
        --prefix=%{_prefix} \
        --datadir=%{_datadir}/%{pkg_name} \
        --mandir=%{_mandir} \
        --bindir=%{_bindir} \
        --with-libdir=%{_lib} \
        --includedir=%{_includedir} \
        --sysconfdir=%{php_sysconf}/$sapi \
        --with-config-file-path=%{php_sysconf}/$sapi \
        --with-config-file-scan-dir=%{php_sysconf}/conf.d \
        --enable-libxml \
        --enable-session \
        --with-mm \
%if 0%{?suse_version} > 1010
        --with-pcre-regex=%{_usr} \
%else
        --with-pcre-regex \
%endif
        --enable-xml \
        --enable-simplexml \
        --enable-spl \
        --enable-filter \
        --disable-debug \
        --enable-inline-optimization \
        --disable-rpath \
		--disable-static \
		--enable-shared \
		--program-suffix=5 \
		--with-pic \
		--with-gnu-ld \
		--with-system-tzdata=/usr/share/zoneinfo \
        "$@" || cat config.log
# Some modules are builtin, reasons:
#  - libxml can not be shared (and is needed by PEAR)
#  - spl doesn't build shared
#  - simplexml is needed by spl
#  - session need to be builtin, otherwise sqlite and other session engines fail
#  - pcre is needed for PEAR
#  - filter is builtin due security reasons
#We have still have harcoded RPATH in some modules 
%{__sed} -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
%{__sed} -i 's|^runpath_var=LD_RUN_PATH|runpath_var=LIBTOOL_IS_BROKED|g' libtool
    %{__make} %{?jobs:-j%jobs PHP_PEAR_PHP_BIN=%{_bindir}/%{pkg_name}}
    popd
}
# perform all builds
# apache2 sapi
Build apache2 \
    --with-apxs2=%{apxs2} \
    --disable-all \
    --disable-cli \
# fast-cgi sapi
Build fastcgi \
    --enable-force-cgi-redirect \
    --disable-discard-path \
    --enable-fastcgi \
    --bindir=%{_bindir} \
    --disable-cli \
    --disable-all \
# fpm
Build fpm \
	--enable-fpm \
	--bindir=%{_bindir} \
	--disable-cli \
	--disable-all \
# cli sapi with all shared modules
# cli sapi with all shared modules
# Hack the built configure to also link ncurses together with libedit.
# this is reported upstream bug http://bugs.php.net/bug.php?id=21153
sed -i "s/-ledit/-ledit -lncurses/g" configure
Build cli \
    --enable-cli \
    --with-pear=%{peardir} \
    --enable-bcmath=shared \
    --enable-calendar=shared \
    --enable-ctype=shared \
    --enable-dom=shared \
    --enable-exif=shared \
    --enable-ftp=shared \
    --enable-mbstring=shared \
    	--enable-mbregex \
    --enable-pcntl=shared \
    --enable-posix=shared \
    --enable-shmop=shared \
    --enable-soap=shared \
    --enable-sockets=shared \
    --enable-sysvmsg=shared \
    --enable-sysvsem=shared \
    --enable-sysvshm=shared \
    --enable-tokenizer=shared \
    --enable-wddx=shared \
	--enable-fileinfo=shared \
    --with-zlib=shared \
    --with-bz2=shared \
    --with-curl=shared \
    --with-gd=shared \
        --enable-gd-native-ttf \
        --with-xpm-dir=%{_x11prefix} \
        --with-freetype-dir=%{_usr} \
        --with-png-dir=%{_usr} \
        --with-jpeg-dir=%{_usr} \
        --with-zlib-dir=%{_usr} \
%if 0%{?suse_version} > 1020
        --with-t1lib=%{_usr} \
%endif
    --with-gettext=shared \
    --with-gmp=shared \
    --enable-hash=shared \
		--with-mhash \
    --with-iconv=shared \
    --with-imap=shared \
        --with-kerberos \
        --with-imap-ssl \
    --enable-json=shared \
    --with-ldap=shared \
    	--with-ldap-sasl=%{_usr} \
	--with-libedit=shared,%{_usr} \
    --with-mcrypt=shared \
    --with-mysql=shared,%{_usr} \
	--with-mysql-sock=/var/lib/mysql/mysql.sock \
    --with-mysqli=shared \
    --with-unixODBC=shared,%{_usr} \
    --with-openssl=shared \
    --with-pgsql=shared,%{_usr} \
    --enable-phar=shared \
%if %{with_spell}
    --with-pspell=shared \
    --with-enchant=shared,%{_usr} \
%endif
    --with-snmp=shared \
    --with-xmlrpc=shared \
    --enable-xmlreader=shared \
    --enable-xmlwriter=shared \
    --with-xsl=shared \
    --with-tidy=shared,%{_usr} \
    --enable-dba=shared \
	   --with-db4=%{_usr} \
       --without-gdbm \
       --with-cdb \
       --with-inifile \
       --with-flatfile \
    --enable-pdo=shared \
%if 0%{?suse_version} > 1010
    --with-pdo_sqlite=shared,%{_usr} \
    --with-sqlite3=shared,%{_usr} \
%else
    --with-pdo_sqlite=shared \
	--with-sqlite3=shared \
%endif
    --with-pdo-mysql=shared,%{_usr} \
    --with-pdo-pgsql=shared,%{_usr} \
	--with-pdo-odbc=shared,unixODBC,%{_usr} \
%if 0%{?suse_version} > 1010 && 0%{?suse_version} < 1110
    --with-sqlite=shared,%{_usr}  \
%else
   	--with-sqlite=shared \
%endif
        --enable-sqlite-utf8 \
    --enable-zip=shared \
    --enable-suhosin=shared \
    --enable-intl=shared,%{_usr} \
    --disable-cgi
# things that currently do not compile:
# extensions:
#    --with-recode=shared \ error: recode extension can not be configured together with: imap mysql yaz
#disabled extensions
#    --enable-embedded-mysqli \

%check 
cd build-cli
# Run tests, using the CLI SAPI
export NO_INTERACTION=1 REPORT_EXIT_STATUS=1 MALLOC_CHECK_=2 LANG=POSIX LC_ALL=POSIX
unset TZ
#%{__make} test
set +x
for f in `find .. -name "*.diff" -type f -print`; do
	echo "TEST FAILURE: $f --"
	cat "$f"
	echo "-- $f result ends."
done
set -x
unset NO_INTERACTION REPORT_EXIT_STATUS MALLOC_CHECK_

%install
# install function
Install()
{
    pushd build-$1
    %{__make} install INSTALL_ROOT=%{buildroot} PHP_PEAR_PHP_BIN=%{_bindir}/%{pkg_name}
    popd
}
# do the actual installation
Install apache2
#need it for yast module
%{__mv} %{buildroot}%{apache2_libexecdir}/libphp5.so %{buildroot}%{apache2_libexecdir}/mod_php5.so

Install fpm
Install fastcgi
Install cli
# generate php.ini from php.ini-production:
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/conf.d
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/apache2
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/cli
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/fastcgi
%{__install} -d -m 755 %{buildroot}/%{php_sysconf}/fpm
%{__sed} "s=@extdir@=%{extension_dir}=" php.ini-production \
    > %{buildroot}/%{php_sysconf}/apache2/php.ini
%{__sed} "s=@extdir@=%{extension_dir}=" php.ini-production \
    | %{__sed} -r 's/^(html_errors|implicit_flush|max_execution_time|register_argc_argv)/;\1/' \
    > %{buildroot}/%{php_sysconf}/cli/php.ini
%{__sed} "s=@extdir@=%{extension_dir}=" php.ini-production \
    > %{buildroot}/%{php_sysconf}/fastcgi/php.ini

# prepare configuration files for each extension
extern_modules=""
for f in %{buildroot}%{extension_dir}/*; do
    if test ${f##*.} = a; then
        %{__rm} $f
        continue
    fi
    if test ${f##*.} = so; then
        f=${f%.so}
    fi
    ext=${f##*/}
    extern_modules="$extern_modules $ext"
    echo "; comment out next line to disable $ext extension in php" > %{buildroot}/%{php_sysconf}/conf.d/$ext.ini
    echo "extension=$ext.so" >> %{buildroot}/%{php_sysconf}/conf.d/$ext.ini
done
#suhosin configuration
%{__install} -m 644 ext/suhosin/suhosin.ini %{buildroot}/%{php_sysconf}/conf.d/suhosin.ini
# list of builtin modules
builtin_modules=`./build-cli/sapi/cli/php -m | egrep -v '^(\[.*)?$' | sort | tr '\n' ' '`
# update readme
%{__sed} "s=@EXTERN_MODULES@=$extern_modules=;s=@BUILTIN_MODULES@=$builtin_modules=" php-suse-addons/README.SUSE > README.SUSE
# apache configuration
%{__mkdir_p} %{buildroot}%{apache2_sysconfdir}/conf.d
%{__install} -m 644 php-suse-addons/sysconfig.apache2 %{buildroot}/%{apache2_sysconfdir}/conf.d/%{pkg_name}.conf
pushd %{buildroot}/%{_bindir}
#%{__mv} php php5
%{__mv} pear pear5
%{__mv} pecl pecl5
popd
#pushd %{buildroot}/%{_mandir}/man1
#%{__mv} php.1 php5.1
#popd
# directory for sessions
%{__install} -d %{buildroot}/var/lib/%{pkg_name}
# documentation
%{__mv} sapi/cli/README README.CLI
%{__mv} sapi/cgi/README.FastCGI README.FastCGI
chmod -x README*
%{__rm} -rf %{buildroot}/{.channels,.depdb*,.filemap,.lock,usr/bin/peardev}
%{__install} -d -m 0755 %{buildroot}/%{peardir}/test
# fix deadlock
%{__cp} %{S:5} %{buildroot}/%{peardir}/PEAR
# reminder: Will be removed when upstream fixes deadlock in pear
test %version = 5.3.12
# for pear XML files
%{__install} -d -m 0755 %{buildroot}/var/lib/pear
# provide compat symlink
%{__mkdir_p} %{buildroot}/srv/www/cgi-bin
%{__ln_s} /usr/bin/php-cgi5 %{buildroot}/srv/www/cgi-bin/php5

#fix symlink
rm %{buildroot}%{_bindir}/phar
%{__ln_s} -f %{_bindir}/phar.phar %{buildroot}%{_bindir}/phar

# Install the macros file:
install -d $RPM_BUILD_ROOT%{_sysconfdir}/rpm
sed -e "s/@PHP_APIVER@/%{apiver}/;s/@PHP_ZENDVER@/%{zendver}/" \
    < $RPM_SOURCE_DIR/macros.php > macros.php
install -m 644 -c macros.php \
           $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.php

#install fpm init script.
install -d %{buildroot}%{_sysconfdir}/init.d
install -m 755 -c %{S:9} %{buildroot}%{_sysconfdir}/init.d/php-fpm
# Log
install -m 755 -d %{buildroot}%{_localstatedir}/log/php-fpm
install -m 755 -d %{buildroot}%{_localstatedir}/run/php-fpm
# config
install -m 755 -d %{buildroot}%{php_sysconf}/fpm
install -m 644 %{S:8} %{buildroot}%{php_sysconf}/fpm/www.conf

# LogRotate
install -m 755 -d %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{S:10} %{buildroot}%{_sysconfdir}/logrotate.d/php-fpm

%post
update-alternatives --install  %{_bindir}/php php %{_bindir}/php5 5 \
  --slave %{_mandir}/man1/php.1.gz php.1 %{_mandir}/man1/php5.1.gz
update-alternatives --auto php

%preun
if [ $1 -eq 0 ]; then
  update-alternatives --remove php %{_bindir}/php5
fi

%post fastcgi
update-alternatives --install %{_bindir}/php-cgi php-cgi %{_bindir}/php-cgi5 5
update-alternatives --auto php-cgi

%preun fastcgi
if [ $1 -eq 0 ]; then
  update-alternatives --remove php-cgi %{_bindir}/php-cgi5
fi

%post pear
update-alternatives --install  %{_bindir}/pear pear %{_bindir}/pear5 5
update-alternatives --auto pear

%preun pear
if [ $1 -eq 0 ]; then
  update-alternatives --remove pear %{_bindir}/pear5
fi

%post devel
#phpize
update-alternatives --install  %{_bindir}/phpize phpize %{_bindir}/phpize5 5 \
  --slave %{_mandir}/man1/phpize.1.gz phpize.1 %{_mandir}/man1/phpize5.1.gz
update-alternatives --auto phpize
#php-config
update-alternatives --install  %{_bindir}/php-config php-config %{_bindir}/php-config5 5 \
  --slave %{_mandir}/man1/phpize.1.gz php-config.1 %{_mandir}/man1/php-config5.1.gz
update-alternatives --auto php-config
#pecl
update-alternatives --install  %{_bindir}/pecl pecl %{_bindir}/pecl5 5
update-alternatives --auto pecl

%preun devel
if [ $1 -eq 0 ]; then
  update-alternatives --remove phpize %{_bindir}/phpize5
  update-alternatives --remove pecl   %{_bindir}/pecl5
  update-alternatives --remove php-config   %{_bindir}/php-config5
fi

%post -n apache2-mod_php5
#some distro versions does not have this tool.
if [ -x /usr/sbin/a2enmod ] 
then
	if a2enmod -q php4 && ! a2enmod -q php5; then
  		a2dismod php4 
  		a2enmod php5
	fi
fi

%preun -n apache2-mod_php5
if [ "$1" = "0" ] 
then
	if [ -x /usr/sbin/a2enmod ]
	then
    	if a2enmod -q php5; then
        	a2dismod php5
    	fi
	fi
fi

%postun -n apache2-mod_php5
%restart_on_update apache2

%postun fpm
%restart_on_update php-fpm
%insserv_cleanup

%preun fpm
%stop_on_removal php-fpm
if [ $1 -eq 0 ]; then
  update-alternatives --remove php-fpm %{_bindir}/php-fpm5
fi

%post fpm
%{fillup_and_insserv -f php-fpm}
update-alternatives --install %{_bindir}/php-fpm php-fpm %{_bindir}/php-fpm5 5
update-alternatives --auto php-fpm

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README* CODING_STANDARDS CREDITS EXTENSIONS LICENSE NEWS TODO* php-suse-addons/test.php5
%doc %{_mandir}/man1/*
%dir %{php_sysconf}
%dir %{php_sysconf}/conf.d
%dir %{php_sysconf}/cli
%config(noreplace) %{php_sysconf}/cli/php.ini
%{_bindir}/%{pkg_name}
%dir %{_libdir}/%{pkg_name}
#%dir %{safemode_dir}
%dir %{extension_dir}
%dir %{_datadir}/%{pkg_name}
%attr(0755, wwwrun, root) %dir /var/lib/%{pkg_name}

%files devel
%defattr(-, root, root)
%{_includedir}/%{pkg_name}
%{_bindir}/phpize5
%{_bindir}/php-config5
%{_bindir}/pecl5
%{_datadir}/%{pkg_name}/build
%config %{_sysconfdir}/rpm/macros.php

%files pear
%defattr(-, root, root)
%doc pear/README.SUSE
%{_bindir}/pear5
%config(noreplace) %{php_sysconf}/cli/pear.conf
%{peardir}
%dir /var/lib/pear

%files fastcgi
%defattr(-, root, root)
%{_bindir}/php-cgi5
/srv/www/cgi-bin/php5
%dir %{php_sysconf}/fastcgi
%config(noreplace) %{php_sysconf}/fastcgi/php.ini

%files fpm
%defattr(-, root, root)
%{_sbindir}/php-fpm5
%dir %{php_sysconf}/fpm
%config %{php_sysconf}/fpm/php-fpm.conf.default
%config %{php_sysconf}/fpm/www.conf
%{_mandir}/man8/php-fpm5.8.gz
%config /etc/init.d/php-fpm
%config /etc/logrotate.d/php-fpm
%dir /usr/share/php5/fpm
/usr/share/php5/fpm/status.html
%attr(770,wwwrun,www) %dir %{_localstatedir}/log/php-fpm
%dir %{_localstatedir}/run/php-fpm

%files -n apache2-mod_php5
%defattr(644,root,root,755)
%{apache2_libexecdir}/mod_php5.so
%dir %{php_sysconf}/apache2
%config(noreplace) %{php_sysconf}/apache2/php.ini
%config(noreplace) %{apache2_sysconfdir}/conf.d/%{pkg_name}.conf

%files bcmath
%defattr(644,root,root,755)
%{extension_dir}/bcmath.so
%config(noreplace) %{php_sysconf}/conf.d/bcmath.ini

%files bz2
%defattr(644,root,root,755)
%{extension_dir}/bz2.so
%config(noreplace) %{php_sysconf}/conf.d/bz2.ini

%files calendar
%defattr(644,root,root,755)
%{extension_dir}/calendar.so
%config(noreplace) %{php_sysconf}/conf.d/calendar.ini

%files ctype
%defattr(644,root,root,755)
%{extension_dir}/ctype.so
%config(noreplace) %{php_sysconf}/conf.d/ctype.ini

%files curl
%defattr(644,root,root,755)
%{extension_dir}/curl.so
%config(noreplace) %{php_sysconf}/conf.d/curl.ini

%files dba
%defattr(644,root,root,755)
%{extension_dir}/dba.so
%config(noreplace) %{php_sysconf}/conf.d/dba.ini

%files dom
%defattr(644,root,root,755)
%{extension_dir}/dom.so
%config(noreplace) %{php_sysconf}/conf.d/dom.ini

%files enchant
%defattr(644,root,root,755)
%{extension_dir}/enchant.so
%config(noreplace) %{php_sysconf}/conf.d/enchant.ini

%files exif
%defattr(644,root,root,755)
%{extension_dir}/exif.so
%config(noreplace) %{php_sysconf}/conf.d/exif.ini

%files fileinfo
%defattr(644,root,root,755)
%{extension_dir}/fileinfo.so
%config(noreplace) %{php_sysconf}/conf.d/fileinfo.ini

%files ftp
%defattr(644,root,root,755)
%{extension_dir}/ftp.so
%config(noreplace) %{php_sysconf}/conf.d/ftp.ini

%files gd
%defattr(644,root,root,755)
%{extension_dir}/gd.so
%config(noreplace) %{php_sysconf}/conf.d/gd.ini

%files gettext
%defattr(644,root,root,755)
%{extension_dir}/gettext.so
%config(noreplace) %{php_sysconf}/conf.d/gettext.ini

%files gmp
%defattr(644,root,root,755)
%{extension_dir}/gmp.so
%config(noreplace) %{php_sysconf}/conf.d/gmp.ini

%files hash
%defattr(644,root,root,755)
%{extension_dir}/hash.so
%config(noreplace) %{php_sysconf}/conf.d/hash.ini

%files iconv
%defattr(644,root,root,755)
%{extension_dir}/iconv.so
%config(noreplace) %{php_sysconf}/conf.d/iconv.ini

%files imap
%defattr(644,root,root,755)
%{extension_dir}/imap.so
%config(noreplace) %{php_sysconf}/conf.d/imap.ini

%files intl
%defattr(644,root,root,755)
%{extension_dir}/intl.so
%config(noreplace) %{php_sysconf}/conf.d/intl.ini

%files json
%defattr(644,root,root,755)
%{extension_dir}/json.so
%config(noreplace) %{php_sysconf}/conf.d/json.ini

%files ldap
%defattr(644,root,root,755)
%{extension_dir}/ldap.so
%config(noreplace) %{php_sysconf}/conf.d/ldap.ini

%files mbstring
%defattr(644,root,root,755)
%{extension_dir}/mbstring.so
%config(noreplace) %{php_sysconf}/conf.d/mbstring.ini

%files mcrypt
%defattr(644,root,root,755)
%{extension_dir}/mcrypt.so
%config(noreplace) %{php_sysconf}/conf.d/mcrypt.ini

%files mysql
%defattr(644,root,root,755)
%{extension_dir}/mysql.so
%config(noreplace) %{php_sysconf}/conf.d/mysql.ini
%{extension_dir}/mysqli.so
%config(noreplace) %{php_sysconf}/conf.d/mysqli.ini
%{extension_dir}/pdo_mysql.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_mysql.ini

%files odbc
%defattr(644,root,root,755)
%{extension_dir}/odbc.so
%config(noreplace) %{php_sysconf}/conf.d/odbc.ini
%{extension_dir}/pdo_odbc.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_odbc.ini

%files openssl
%defattr(644,root,root,755)
%{extension_dir}/openssl.so
%config(noreplace) %{php_sysconf}/conf.d/openssl.ini

%files phar
%defattr(644,root,root,755)
%{extension_dir}/phar.so
%config(noreplace) %{php_sysconf}/conf.d/phar.ini
%{_bindir}/phar
%{_bindir}/phar.phar

%files pcntl
%defattr(644,root,root,755)
%{extension_dir}/pcntl.so
%config(noreplace) %{php_sysconf}/conf.d/pcntl.ini

%files pdo
%defattr(644,root,root,755)
%{extension_dir}/pdo.so
%config(noreplace) %{php_sysconf}/conf.d/pdo.ini

%files pgsql
%defattr(644,root,root,755)
%{extension_dir}/pgsql.so
%config(noreplace) %{php_sysconf}/conf.d/pgsql.ini
%{extension_dir}/pdo_pgsql.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_pgsql.ini

%files posix
%defattr(644,root,root,755)
%{extension_dir}/posix.so
%config(noreplace) %{php_sysconf}/conf.d/posix.ini
%if %{with_spell}

%files pspell
%defattr(644,root,root,755)
%{extension_dir}/pspell.so
%config(noreplace) %{php_sysconf}/conf.d/pspell.ini
%endif

%files readline
%defattr(644,root,root,755)
%{extension_dir}/readline.so
%config(noreplace) %{php_sysconf}/conf.d/readline.ini

%files shmop
%defattr(644,root,root,755)
%{extension_dir}/shmop.so
%config(noreplace) %{php_sysconf}/conf.d/shmop.ini

%files snmp
%defattr(644,root,root,755)
%{extension_dir}/snmp.so
%config(noreplace) %{php_sysconf}/conf.d/snmp.ini

%files soap
%defattr(644,root,root,755)
%{extension_dir}/soap.so
%config(noreplace) %{php_sysconf}/conf.d/soap.ini

%files sockets
%defattr(644,root,root,755)
%{extension_dir}/sockets.so
%config(noreplace) %{php_sysconf}/conf.d/sockets.ini

%files sqlite
%defattr(644,root,root,755)
%{extension_dir}/sqlite.so
%config(noreplace) %{php_sysconf}/conf.d/sqlite.ini
%{extension_dir}/pdo_sqlite.so
%config(noreplace) %{php_sysconf}/conf.d/pdo_sqlite.ini
%{extension_dir}/sqlite3.so
%config(noreplace) %{php_sysconf}/conf.d/sqlite3.ini

%files suhosin
%defattr(644,root,root,755)
%{extension_dir}/suhosin.so
%config(noreplace) %{php_sysconf}/conf.d/suhosin.ini

%files sysvmsg
%defattr(644,root,root,755)
%{extension_dir}/sysvmsg.so
%config(noreplace) %{php_sysconf}/conf.d/sysvmsg.ini

%files sysvsem
%defattr(644,root,root,755)
%{extension_dir}/sysvsem.so
%config(noreplace) %{php_sysconf}/conf.d/sysvsem.ini

%files sysvshm
%defattr(644,root,root,755)
%{extension_dir}/sysvshm.so
%config(noreplace) %{php_sysconf}/conf.d/sysvshm.ini

%files tidy
%defattr(644,root,root,755)
%{extension_dir}/tidy.so
%config(noreplace) %{php_sysconf}/conf.d/tidy.ini

%files tokenizer
%defattr(644,root,root,755)
%{extension_dir}/tokenizer.so
%config(noreplace) %{php_sysconf}/conf.d/tokenizer.ini

%files wddx
%defattr(644,root,root,755)
%{extension_dir}/wddx.so
%config(noreplace) %{php_sysconf}/conf.d/wddx.ini

%files xmlrpc
%defattr(644,root,root,755)
%{extension_dir}/xmlrpc.so
%config(noreplace) %{php_sysconf}/conf.d/xmlrpc.ini

%files xmlreader
%defattr(644,root,root,755)
%{extension_dir}/xmlreader.so
%config(noreplace) %{php_sysconf}/conf.d/xmlreader.ini

%files xmlwriter
%defattr(644,root,root,755)
%{extension_dir}/xmlwriter.so
%config(noreplace) %{php_sysconf}/conf.d/xmlwriter.ini

%files xsl
%defattr(644,root,root,755)
%{extension_dir}/xsl.so
%config(noreplace) %{php_sysconf}/conf.d/xsl.ini

%files zip
%defattr(644,root,root,755)
%{extension_dir}/zip.so
%config(noreplace) %{php_sysconf}/conf.d/zip.ini

%files zlib
%defattr(644,root,root,755)
%{extension_dir}/zlib.so
%config(noreplace) %{php_sysconf}/conf.d/zlib.ini

%changelog
* Thu May  3 2012 cs@linux-administrator.com
- update to version 5.3.12
* Thu Mar 22 2012 cs@linux-administrator.com
- update suhosin patch & extension source
* Fri Feb  3 2012 cs@linux-administrator.com
- update to version 5.3.10
* Wed Jan 11 2012 cs@linux-administrator.com
- update to version 5.3.9
* Tue Aug 23 2011 cs@linux-administrator.com
- update to version 5.3.8
* Thu Aug 18 2011 cs@linux-administrator.com
- update to version 5.3.7
* Sun Apr 10 2011 cs@linux-administrator.com
- update to version 5.3.6
* Thu Jan  6 2011 cs@linux-administrator.com
- update to version 5.3.5
* Wed Jan  5 2011 cs@linux-administrator.com
- added x87-fpu bugfix
* Tue Dec 14 2010 cs@linux-administrator.com
- update to version 5.3.4
* Tue Sep  8 2009 crrodriguez@suse.de
- make php5-pear noarch in Factory
* Wed Aug 26 2009 crrodriguez@suse.de
- remove obsolete patches
- apply ini patch
- enable mhash compatibility in the hash extension and obsolete php5-mhash
- add macros.php to the source list
* Mon Aug 24 2009 crrodriguez@suse.de
- PHP read_exif_data() only returns the first letter of UTF-16 strings [bnc#518300]
* Sun Aug 23 2009 crrodriguez@suse.de
- fix missing return values of suhosin extension
* Wed Aug 19 2009 crrodriguez@novell.com
- fix build on CODE10 products
* Wed Aug 19 2009 crrodriguez@novell.com
- fix horrible broken open_basedir functionality
* Sun Aug 16 2009 crrodriguez@suse.de
- update suhosin extension to version 0.9.29
- mysql extensions now use mysqlnd instead of libmysqlclient.
- enable sqlite3 extension, part of the php5-sqlite package
- enable enchant extension
- enable fileinfo extension
- enable intl extension
* Fri Aug 14 2009 crrodriguez@suse.de
- add suhosin patch and newer suhosin extension for compatibility
  reasons
* Thu Aug 13 2009 crrodriguez@suse.de
-  Upgrade to PHP 5.3, see http://www.php.net/ChangeLog-5.php
  for the huge list of changes
-  remove dbase and ncurses extension
* Thu Jul 16 2009 coolo@novell.com
- disable as-needed to fix build
* Fri Jun 19 2009 crrodriguez@suse.de
- update to PHP 5.2.10
  * Fixed bug #48378 (exif_read_data() segfaults on certain corrupted .jpeg files)
  * Added "ignore_errors" option to http fopen wrapper. (David Zulke, Sara)
  * Fixed memory corruptions while reading properties of zip files. (Ilia)
  * Fixed memory leak in ob_get_clean/ob_get_flush. (Christian)
  * Fixed segfault on invalid session.save_path. (Hannes)
  * Fixed leaks in imap when a mail_criteria is used. (Pierre)
  * Changed default value of array_unique()'s optional sorting type parameter back to SORT_STRING to fix backwards compatibility breakage introduced in PHP 5.2.9. (Moriyoshi)
  * Fixed bug #47940 (memory leaks in imap_body). (Pierre, Jake Levitt)
  * Fixed bug #47903 ("@" operator does not work with string offsets). (Felipe)
  * Fixed bug #47644 (Valid integers are truncated with json_decode()). (Scott)
  * Fixed bug #47564 (unpacking unsigned long 32bit big endian returns wrong result). (Ilia)
  * Fixed bug #47365 (ip2long() may allow some invalid values on certain 64bit systems).
  * Over 100 bug fixes.
* Thu May 21 2009 crrodriguez@suse.de
- add temporary backport of openssl prng function
* Sat Mar 14 2009 crrodriguez@suse.de
- Update to version 5.2.9, security and bugfix release
  * VUL-0: php5: memory disclosure by imagerotate() [bnc#480850]
  * VUL-0: php5: mbstring.func_overload set in .htaccess becomes global [bnc#471419]
  * Fixed a segfault when malformed string is passed to json_decode()
  * Fixed explode() behavior with empty string to respect negative limit.
* Sun Dec 14 2008 crrodriguez@suse.de
- remove ming extension, moved to server:php:extensions later
* Tue Dec  9 2008 crrodriguez@suse.de
- Update to PHP 5.2.8
* Mon Dec  8 2008 crrodriguez@suse.de
- fix BLOCKER magic_quotes breakage, if your code
  relies on this feature, it is broken,time to press the panic button.
* Fri Dec  5 2008 crrodriguez@suse.de
- update to PHP 5.2.7 final, no mayor changes since RC5
* Fri Nov 28 2008 crrodriguez@suse.de
- update to PHP 5.2.7RC5 see news for details
* Fri Nov 21 2008 crrodriguez@suse.de
- update to PHP 5.2.7RC4, see news for details
* Sun Nov 16 2008 crrodriguez@suse.de
- update to PHP 5.2.7RC3, see NEWS for details
* Mon Sep  8 2008 crrodriguez@suse.de
- update suhosin to version 0.9.27
  * Fixed problem with suhosin.perdir
    Thanks to Hosteurope for tracking this down
  * Fixed problems with ext/uploadprogress
    Reported by: Christian Stocker
  * Added suhosin.srand.ignore and suhosin.mt_srand.ignore (default: on)
  * Modified rand()/srand() to use the Mersenne Twister algorithm with separate state
  * Added better internal seeding of rand() and mt_rand()
* Sun Jul 13 2008 crrodriguez@suse.de
- merge patches from schwab
* Fri May  2 2008 crrodriguez@suse.de
- update to PHP 5.2.6
  * Fixed possible stack buffer overflow in the FastCGI SAPI identified by Andrei Nigmatulin.
  * Fixed integer overflow in printf() identified by Maksymilian Aciemowicz.
  * Fixed security issue detailed in CVE-2008-0599 identified by Ryan Permeh.
  * Fixed a safe_mode bypass in cURL identified by Maksymilian Arciemowicz.
  * Properly address incomplete multibyte chars inside escapeshellcmd() identified by Stefan Esser.
  * Fixed two possible crashes inside the posix extension.
  * Fixed bug #44069 (Huge memory usage with concatenation using . instead of .=)
  * Fixed bug #44141 (private parent constructor callable through static function).
  * Fixed bug #43589 (a possible infinite loop in bz2_filter.c).
  * Fixed bug #43450 (Memory leak on some functions with implicit object __toString() call).
  * Fixed bug #43201 (Crash on using uninitialized vals and __get/__set).
  * Fixed bug #42978 (mismatch between number of bound params and values causes a crash in pdo_pgsql).
  * Fixed bug #42937 (__call() method not invoked when methods are called on parent from child class).
  * Fixed bug #42736 (xmlrpc_server_call_method() crashes).
  * Fixed bug #42369 (Implicit conversion to string leaks memory).
  * Fixed bug #41562 (SimpleXML memory issue).
  * Fixed bug #43606 (define missing depencies of the exif extension). (crrodriguez at suse dot de)
  * Fixed bug #43498 (file_exists() on a proftpd server got SIZE not allowed in ASCII mode). (Ilia, crrodriguez at suse dot de)
  * Over 120 bug fixes.
* Tue Feb  5 2008 crrodriguez@suse.de
- update suhosin extension to version 0.9.23
- Fixed suhosin extension now compiles with snapshots of PHP 5.3
- Fixed crypt() behaves like normal again when there is no salt supplied
- wrong Obsoletes causes upgrade trouble [bnc #355618]
* Fri Feb  1 2008 mmarek@suse.cz
- use %%%%_with_ming and %%%%_with_qdbm instead of %%%%opensuse_bs,
  enables building in the bs in other projects than server:php
  (bnc#357917)
* Fri Jan 11 2008 crrodriguez@suse.de
- Try patch recently published by Redhat that allows PHP to
  use the system timezone database instead of the bundled one.
* Mon Jan  7 2008 crrodriguez@suse.de
- Do not hard require php5-timezonedb, instead provide a capability
  php(tzdatabase) = builtin_tz_ver so it gets installed via rpm
  Supplements only when needed.
* Thu Dec 27 2007 crrodriguez@suse.de
- PHP is leaking file descriptors badly on relative includes
  (php-5.2.5-fdleak.patch)
* Thu Dec 13 2007 crrodriguez@suse.de
- suhosin 0.9.22
  - Fixed function_exists() now checks the Suhosin permissions
  - Fixed crypt() salt no longer uses Blowfish by default
  - Fixed .htaccess/perdir support
  - Fixed compilation problem on OS/X
  - Added protection against some attacks through _SERVER variables
  - Added suhosin.server.strip and suhosin.server.encode
* Tue Dec 11 2007 crrodriguez@suse.de
- use /dev/urandom for generating session-IDs [#337005]
- L3: PHP: Venezuela Time Zone Update starting date changed to December 9 [#345548]
* Mon Nov 12 2007 crrodriguez@suse.de
- update to PHP 5.2.5
  * Fixed dl() to only accept filenames. reported by Laurent Gaffie.
  * Fixed dl() to limit argument size to MAXPATHLEN (CVE-2007-4887).
  * Fixed htmlentities/htmlspecialchars not to accept partial multibyte sequences.
  * Fixed possible triggering of buffer overflows inside glibc implementations of the fnmatch(), setlocale() and glob() functions. Reported by Laurent Gaffie.
  * Fixed "mail.force_extra_parameters" php.ini directive not to be modifiable in .htaccess due to the security implications reported by SecurityReason.
  * Fixed bug #42869 (automatic session id insertion adds sessions id to non-local forms).
  * Fixed bug #41561 (Values set with php_admin_* in httpd.conf can be overwritten with ini_set()).
  * Upgraded PCRE to version 7.3 (Nuno)
  * Added optional parameter $provide_object to debug_backtrace(). (Sebastian)
  * Added alpha support for imagefilter() IMG_FILTER_COLORIZE. (Pierre)
  * Added ability to control memory consumption between request using ZEND_MM_COMPACT environment variable. (Dmitry)
  * Improved speed of array_intersect_key(), array_intersect_assoc(), array_uintersect_assoc(), array_diff_key(), array_diff_assoc() and array_udiff_assoc(). (Dmitry)
  * Fixed move_uploaded_file() to always set file permissions of resulting file according to UMASK. (Andrew Sitnikov)
  * Fixed possible crash in ext/soap because of uninitialized value. (Zdash Urf)
  * Fixed regression in glob() when enforcing safe_mode/open_basedir checks on paths containing '*'. (Ilia)
  * Fixed PDO crash when driver returns empty LOB stream. (Stas)
  * Fixed iconv_*() functions to limit argument sizes as workaround to libc bug (CVE-2007-4783, CVE-2007-4840 by Laurent Gaffie). (Christian Hoffmann, Stas)
  * Fixed missing brackets leading to build warning and error in the log. Win32 code. (Andrey)
  * Fixed leaks with multiple connects on one mysqli object. (Andrey)
  * Fixed imagerectangle regression with 1x1 rectangle (libgd #106). (Pierre)
  * Fixed bug #43196 (array_intersect_assoc() crashes with non-array input). (Jani)
  * Fixed bug #43139 (PDO ignores ATTR_DEFAULT_FETCH_MODE in some cases with fetchAll()). (Ilia)
  * Fixed bug #43137 (rmdir() and rename() do not clear statcache). (Jani)
  * Fixed bug #43130 (Bound parameters cannot have - in their name). (Ilia)
  * Fixed bug #43099 (XMLWriter::endElement() does not check # of params). (Ilia)
  * Fixed bug #43020 (Warning message is missing with shuffle() and more than one argument). (Scott)
  * Fixed bug #42976 (Crash when constructor for newInstance() or newInstanceArgs() fails) (Ilia)
  * Fixed bug #42917 (PDO::FETCH_KEY_PAIR doesn't work with setFetchMode). (Ilia)
  * Fixed bug #42890 (Constant "LIST" defined by mysqlclient and c-client). (Andrey)
  * Fixed bug #42818 ($foo = clone(array()); leaks memory). (Dmitry)
  * Fixed bug #42817 (clone() on a non-object does not result in a fatal error). (Ilia)
  * Fixed bug #42785 (json_encode() formats doubles according to locale rather then following standard syntax). (Ilia)
  * Fixed bug #42783 (pg_insert() does not accept an empty list for insertion). (Ilia)
  * Fixed bug #42773 (WSDL error causes HTTP 500 Response). (Dmitry)
  * Fixed bug #42772 (Storing $this in a static var fails while handling a cast to string). (Dmitry)
  * Fixed bug #42767 (highlight_string() truncates trailing comment). (Ilia)
  * Fixed bug #42739 (mkdir() doesn't like a trailing slash when safe_mode is enabled). (Ilia)
  * Fixed bug #42703 (Exception raised in an iterator::current() causes segfault in FilterIterator) (Marcus)
  * Fixed bug #42699 (PHP_SELF duplicates path). (Dmitry)
  * Fixed bug #42654 (RecursiveIteratorIterator modifies only part of leaves) (Marcus)
  * Fixed bug #42643 (CLI segfaults if using ATTR_PERSISTENT). (Ilia)
  * Fixed bug #42637 (SoapFault : Only http and https are allowed). (Bill Moran)
  * Fixed bug #42627 (bz2 extension fails to build with -fno-common). (dolecek at netbsd dot org)
  * Fixed bug #42596 (session.save_path MODE option does not work). (Ilia)
  * Fixed bug #42590 (Make the engine recognize \v and \f escape sequences). (Ilia)
  * Fixed bug #42587 (behavior change regarding symlinked .php files). (Dmitry)
  * Fixed bug #42579 (apache_reset_timeout() does not exist). (Jani)
  * Fixed bug #42549 (ext/mysql failed to compile with libmysql 3.23). (Scott)
  * Fixed bug #42523 (PHP_SELF duplicates path). (Dmitry)
  * Fixed bug #42512 (ip2long('255.255.255.255') should return 4294967295 on 64-bit PHP). (Derick)
  * Fixed bug #42506 (php_pgsql_convert() timezone parse bug) (nonunnet at gmail dot com, Ilia)
  * Fixed bug #42462 (Segmentation when trying to set an attribute in a DOMElement). (Rob)
  * Fixed bug #42453 (CGI SAPI does not shut down cleanly with -i/-m/-v cmdline options). (Dmitry)
  * Fixed bug #42452 (PDO classes do not expose Reflection API information). (Hannes)
  * Fixed bug #42468 (Write lock on file_get_contents fails when using a compression stream). (Ilia)
  * Fixed bug #42488 (SoapServer reports an encoding error and the error itself breaks). (Dmitry)
  * Fixed bug #42378 (mysqli_stmt_bind_result memory exhaustion). (Andrey)
  * Fixed bug #42359 (xsd:list type not parsed). (Dmitry)
  * Fixed bug #42326 (SoapServer crash). (Dmitry)
  * Fixed bug #42214 (SoapServer sends clients internal PHP errors). (Dmitry)
  * Fixed bug #42189 (xmlrpc_set_type() crashes php on invalid datetime values). (Ilia)
  * Fixed bug #42139 (XMLReader option constants are broken using XML()). (Rob)
  * Fixed bug #42086 (SoapServer return Procedure '' not present for WSIBasic compliant wsdl). (Dmitry)
  * Fixed bug #41822 (Relative includes broken when getcwd() fails). (Ab5602, Jani)
  * Fixed bug #39651 (proc_open() append mode doesn't work on windows). (Nuno)
* Thu Aug 30 2007 crrodriguez@suse.de
- update to PHP 5.2.4, no relevant changes since RC3.
* Fri Aug 24 2007 crrodriguez@suse.de
- PHP 5.2.4RC3
- Fixed version_compare() to support "rc" as well as "RC" for release
  candidate version numbers.
- Fixed bug #42368 (Incorrect error message displayed by pg_escape_string).
  (Ilia)
- Fixed phpbug #42365 and Novell bugzilla #292998 (glob() crashes and/or accepts way too many flags). (Jani)
- Fixed bug #42183 (classmap causes crash in non-wsdl mode). (Dmitry)
- Fixed bug #42009 (is_a() and is_subclass_of() should NOT call autoload,
  in the same way as "instanceof" operator). (Dmitry)
- Fixed bug #41904 (proc_open(): empty env array should cause empty
  environment to be passed to process). (Jani)
- Fixed bug #37273 (Symlinks and mod_files session handler allow open_basedir
  bypass). (Ilia)
- remove wrong hardcoded requirement on libedit
- devel package at least does not need libtool the php build enviroment uses a private copy.
- drop no longer needed patches already in upstream
* Fri Aug 17 2007 anosek@suse.cz
- updated to version 5.2.4RC2
  - Fixed oci8 and PDO_OCI extensions to allow configuring with Oracle 11g client
    libraries. (Chris Jones)
  - Fixed bug #42292 ($PHP_CONFIG not set for phpized builds). (Jani)
  - Fixed bug #42261 (header wrong for date field). (roberto at spadim dot com
    dot br, Ilia)
  - Fixed bug #42259 (SimpleXMLIterator loses ancestry). (Rob)
  - Fixed bug #42247 (ldap_parse_result() not defined under win32). (Jani)
  - Fixed bug #42243 (copy() does not output an error when the first arg is a
    dir). (Ilia)
  - Fixed bug #42242 (sybase_connect() crashes). (Ilia)
  - Fixed bug #42237 (stream_copy_to_stream returns invalid values for mmaped
    streams). (andrew dot minerd at sellingsource dot com, Ilia)
  - Fixed bug #42222 (possible buffer overflow in php_openssl_make_REQ). (Pierre)
  - Fixed bug #42211 (property_exists() fails to find protected properties from
    a parent class). (Dmitry)
  - Fixed bug #42208 (substr_replace() crashes when the same array is passed
    more than once). (crrodriguez at suse dot de, Ilia)
  - Fixed bug #42198 (SCRIPT_NAME and PHP_SELF truncated when inside a userdir
    and using PATH_INFO). (Dmitry)
  - Fixed bug #42195 (C++ compiler required always). (Jani)
  - Fixed bug #42117 (bzip2.compress loses data in internal buffer). (Philip,
    Ilia)
  - Fixed bug #42082 (NodeList length zero should be empty). (Hannes)
  - Fixed bug #36492 (Userfilters can leak buckets). (Sara)
  - Fixed bug #31892 (PHP_SELF incorrect without cgi.fix_pathinfo, but turning
    on screws up PATH_INFO). (Dmitry)
* Mon Aug  6 2007 anosek@suse.cz
- updated to version 5.2.4RC1
- dropped obsoleted PHP_5_2-CVS-2007-07-30.patch.bz2
* Mon Jul 30 2007 mmarek@suse.cz
- updated to latest state of PHP_5_2 branch; highlights from the
  NEWS file:
  - Upgraded PCRE to version 7.2 (Nuno)
  - Updated timezone database to version 2007.6. (Derick)
  - Improved openssl_x509_parse() to return extensions in readable
    form.  (Dmitry)
  - Changed "display_errors" php.ini option to accept "stderr" as
    value which makes the error messages to be outputted to STDERR
    instead of STDOUT with CGI and CLI SAPIs (FR #22839). (Jani)
  - Changed error handler to send HTTP 500 instead of blank page on
    PHP errors.  (Dmitry, Andrei Nigmatulin)
  - Added check for unknown options passed to configure. (Jani)
  - Added persistent connection status checker to pdo_pgsql.
    (Elvis Pranskevichus, Ilia)
  - Added support for ATTR_TIMEOUT inside pdo_pgsql driver. (Ilia)
  - Added php_ini_loaded_file() function which returns the path to
    the actual php.ini in use. (Jani)
  - Added GD version constants GD_MAJOR_VERSION, GD_MINOR_VERSION
    GD_RELEASE_VERSION, GD_EXTRA_VERSION and GD_VERSION_STRING.
    (Pierre)
  - Added missing open_basedir checks to CGI.  (anight at
    eyelinkmedia dot com, Tony)
  - Added missing format validator to unpack() function. (Ilia)
  - Added missing error check inside bcpowmod(). (Ilia)
  - Added CURLOPT_PRIVATE & CURLINFO_PRIVATE constants.  (Andrey A.
    Belashkov, Tony)
  - Added missing MSG_EOR and MSG_EOF constants to sockets
    extension. (Jani)
  - Added PCRE_VERSION constant. (Tony)
  - Added ReflectionExtension::info() function to print the
    phpinfo() block for an extension. (Johannes)
  - Implemented FR #41884 (ReflectionClass::getDefaultProperties()
    does not handle static attributes). (Tony)
  - plus lots of bugfixes
- fixed the pear phar archive to run with 5.2.4
  [http://bugs.php.net/bug.php?id=42146]
* Wed Jul 25 2007 mmarek@suse.cz
- added /var/lib/pear to php5-pear.rpm
* Tue Jul 24 2007 judas_iscariote@shorewall.net
- fix nasty deadlock in pear
- update php5-ze2-fixes.patch and actually apply it.
* Tue Jul 17 2007 anosek@suse.cz
- fixed YOU honors Recommends, breaks php update [#291551]
  (moved php-suhosin from Recommends to Suggests)
* Mon Jun 25 2007 mmarek@suse.cz
- provide /srv/www/cgi-bin/php5 compat symlink instead of patching
  config files
* Sat Jun 23 2007 judas_iscariote@shorewall.net
- fixed a mess with update-alternatives PreReq uncovered by newer build versions.
  actually every subpackage that uses update-alternatives should PreReq it.
- fix some ZE2 bugs.
* Tue Jun 12 2007 mmarek@suse.cz
- drop php5.xpm and the Icon: line from the specfile (the icon is
  not used at all and it breaks rpm -q --specfile php5.spec)
* Fri Jun  1 2007 judas_iscariote@shorewall.net
- PHP version 5.2.3 see http://www.php.net/releases/5_2_3.php
- important: PHP-cgi now lives in /usr, package attempts to fix both
  lighttpd and apache2 fastcgi config files.
* Wed May 30 2007 judas_iscariote@shorewall.net
- use system re2c in factory.
- enable support for qbdm in the dba extension (build service only)
- enable the ming extension (build service only)
* Mon May 21 2007 mmarek@suse.cz
- fixed the dba extension adding -ldb-4.x to global LDFLAGS,
  causing unnecessary dependency in /usr/bin/php5
  [http://bugs.php.net/bug.php?id=41455]
* Sat May 19 2007 judas_iscariote@shorewall.net
- updated suhosin to version 0.9.20, security fix + bugfixes
  see http://www.hardened-php.net/suhosin/changelog.html for more detail.
* Mon May 14 2007 judas_iscariote@shorewall.net
- fix devel package, in the reality PHP does not currenly require expat.
  headers provides a expat compatibility layer but it is no longer in use
  by our packages as libxml2 is always prefered, (and HAVE_LIBEXPAT is not defined)
* Fri May 11 2007 judas_iscariote@shorewall.net
- update php5-test-fixes fixing another bug in zend_compile.c
- use rpm macros in the spec file
- when removing apache2-mod_php5, unload it from apache first.
- when updating apache2-mod_php5 restart apache with restart on update macro.
* Sun May  6 2007 judas_iscariote@shorewall.net
- HTTP_RAW_POST_DATA superglobal broken (php5-phpbug-41293.patch)
- better fix for MOPB 41.
* Sat May  5 2007 judas_iscariote@shorewall.net
- remove --enable-memory-limit configure flag, it disappeared in 5.2.1,
    nowdays memory_limit is always enabled.
* Fri May  4 2007 prusnak@suse.cz
- changed expat to libexpat-devel in Requires of devel subpackage
* Fri May  4 2007 judas_iscariote@shorewall.net
- add php5-test-fixes.patch fixing a test case that wont pass on i586
  as well a real fix for Zend/tests/bug41117_1.phpt problem, that was commited
  after the release was done. there is another test case that fails in 10.2
  ext/pcre/tests/bug40195.phpt but this is not a PHP problem but a bug in PCRE.
- added missing fix for PMOPB-45-2007 PHP ext/filter Email Validation Vulnerability (minor)
* Fri May  4 2007 judas_iscariote@shorewall.net
- php5-devel package now requires pcre-devel for > 10.1 as 5.2.2 installs
  php_pcre.h header that needs it.
* Thu May  3 2007 mmarek@suse.cz
- fixed some new compiler warnings
* Thu May  3 2007 judas_iscariote@shorewall.net
- upgrade to PHP 5.2.2, fixed hundreds of bugs including MOPB ones
  if you need the complete changes see http://www.php.net/ChangeLog-5.php#5.2.2
* Thu May  3 2007 judas_iscariote@shorewall.net
- Upgrade suhosin extension to version 0.9.19 see
  http://www.hardened-php.net/suhosin/changelog.html for details
* Fri Mar 30 2007 mmarek@suse.de
- added bison to BuildRequires, removed update-desktop-files
* Thu Mar 22 2007 mmarek@suse.de
- fixed unpack() on big-endian 64bit (revert-phpbug38770.patch)
- blacklist more env variables when safe_mode is on
  (php5-config.patch)
* Sat Mar 17 2007 judas_iscariote@shorewall.net
- fix Requires of -devel package to include only what is really
  needed for operation of the pecl tool as well the neccesary
  headers to compile php extensions.
- Fix MOPB 24 "PHP array_user_key_compare() Double DTOR
  Vulnerability"
- note that fix for MOPB 23 was included in the previous patchset.
* Wed Mar 14 2007 judas_iscariote@shorewall.net
- add security fixes for MOPB 20, 21 and 22.
- RPM_BUILD_ROOT is never defined in %%post.
* Sun Mar 11 2007 judas_iscariote@shorewall.net
- fix/workaround for php5-gd problem with typo3 [#236680]
- add fix for MOPB-14-2007 PHP substr_compare() Information Leak
  Vulnerability.
- add secfix for import_request_variables() ancient problem, users
  of suhosin extension are not affected.
- Run the test suite here
* Tue Mar  6 2007 judas_iscariote@shorewall.net
- Update suhosin extension to version 0.9.18 fixing a session
  problem.
* Mon Mar  5 2007 judas_iscariote@shorewall.net
- Update suhosin extension to version 0.9.17. see
  http://www.hardened-php.net/suhosin/changelog.html for details.
* Thu Feb 15 2007 judas_iscariote@shorewall.net
- add t1lib support in php5-gd (10.3 and up only)
- an off-by-one in str_replace may cause a crash.
* Thu Feb  8 2007 judas_iscariote@shorewall.net
- PHP 5.2.1. for a full list of changes see
  http://www.php.net/ChangeLog-5.php#5.2.1
- add Obsoletes for extensions we dont ship anymore
* Fri Feb  2 2007 judas_iscariote@shorewall.net
- fix getenv() modifing $_POST, breaks suhosin badly when
  register_* is On and variables orde is "GPCS" (default).
- change/remove obsoleted patches
* Tue Jan 30 2007 anosek@suse.cz
- synced with BuildService
  * file "session_mm_apache2handler0.sem" written at boot
    [#229200] (php5-config.patch)
  * for certain functionality php5-exif requires php5-mbstring
  * php5-ldap requires php5-openssl
  * remove LDAP_DEPRECATED from CFLAGS, module already
    takes care of this.
  * patch potential HTTP_SESSION_VARS et all hijack when
    register_globals is On users from suhosin extension are
    not affected.(php5-session-rgon-hijack.patch)
  * on 10.2 and up  php5-devel should require pcre-devel
    sqlite-devel sqlite2-devel
  * php5-devel is mostly useless without autoconf automake libtool
    bison make gcc.
  * added patches: phpbug-39350.patch
    oldhat-phpinputdata-secfix.patch
    ze2-fixes.patch
    filter.patch
    ext-lib64again.patch
* Fri Jan 26 2007 mmarek@suse.cz
- fixed string comparison in xmlrpc module (strcmp.patch)
- allways apply %%%%patch9
* Fri Jan 26 2007 mmarek@suse.cz
- updated the curl module from cvs to fix build with curl-7.16
  (curl-cvs-fix.patch, dropped gcc.patch)
* Tue Dec 19 2006 anosek@suse.cz
- fixed VUL-0: php session.save_path open_basedir bypass
  [#227569] (save_path-secfix.patch)
* Wed Dec  6 2006 anosek@suse.cz
- synced with BuildService
  * updated Suhosin patch to 0.9.6.2
  * updated Suhosin extension to 0.9.16
  * fixed php5-devel should provide PECL tool [#204006]
  * use bundled sqlite in  suse versions =< 10.1
    (pdo_sqlite stopped working properly with older sqlite3 libs)
  * do not use zend-multibyte anymore, please refer
    to phpbug #36711 and associated links, no applications uses
    this feature in the real world since it is disabled
    in all other distributions/OS.seems to cause more problems
    than solutions.
  * change php.ini, back to short_open_tag =off (the default)
    the package that depended on this setting no longer does.
    Also explicitely set the upload_tmp_dir in php.ini to deal
    with open_basedir recent changes (please refer
    to phpbug #39123) for the details.
  * suhosin.ini uses just the default recommended settings
* Wed Nov  8 2006 anosek@suse.cz
- created symlinks /usr/bin/php and /usr/bin/pear [#216166]
* Tue Nov  7 2006 mmarek@suse.cz
- fixed implicit function decls in suhosin patch (keep the original
  patch intact and put fixes into separate patch)
* Mon Nov  6 2006 mmarek@suse.cz
- updated to 5.2.0 final
- merged changes from buildservice (by soporte@onfocus.cl):
  - updated suhosin to 0.9.10
  - added suhosin patch
  - build with system PCRE if suse_release > 10.1 only [#215610]
  - suhosin extension does not require PDO
  - suhosin added to the reccommended list
  - php5-pspell to require at least aspell-en otherwise is useless
    [#217272]
* Thu Oct 26 2006 anosek@suse.cz
- php5-sqlite now uses our sqlite and sqlite2 packages to build
  and not bundled ones [#201440]
- updated suhosin to 0.9.9
* Fri Oct 20 2006 nadvornik@suse.cz
- update to 5.2.0RC6
* Thu Oct 19 2006 postadal@suse.cz
- reset right path in extension_dir (php5-php-config.patch)
* Mon Oct  9 2006 postadal@suse.cz
- update to version 5.2.0RC5
- added suhosin extension (the hardened php replacement) [#210886]
* Sun Oct  8 2006 postadal@suse.cz
- update to version 5.2.0RC4
  * added DSA key generation support to openssl_pkey_new()
  * updated PCRE to version 6.7
  * increased default memory limit to 16 megabytes to accommodate for a more
    accurate memory utilization measurement
  * added support for httpOnly flag for session extension and cookie setting
    functions
  * added version specific registry keys to allow different configurations for
    different php version
  * added "PHPINIDir" Apache directive to apache and apache_hooks SAPIs
  * added an optional boolean parameter to memory_get_usage() and
    memory_get_peak_usage() to get memory size allocated by emalloc() or real
    size of memory allocated from system
  * moved extensions to PECL (filepro and hwapi)
  * improved SNMP, OpenSSL extension
  * improved the Zend memory manager, FastCGI SAPI, CURL, PCRE, PDO, SPL,
    xmlReader
- merged changes from openSUSE build service
  * build without --enable-sigchild [#206533, php#28294, php#38342]
  * build CLI with libedit support (really-with-libedit.patch)
  * tweaked the default config a bit, to make it more secure
  * removed ini entries related to extensions we don't ship
  * t1lib is not currently needed for build, we need t1lib5 to do
    something useful
  * removeed --enable-ucd-snmp-hack (needed for ucd-snmp, but we use net-snmp)
  * pdo_odbc provided by php-odbc
  * php-suse-addons :
    o PHP5 is unlikely to parse php3 code, remove the file association
    o corrected apache directive is AddHandler not AddType
  * dropped extensions:
    o mysql, mysqli and pdo_mysql provided by php-mysql (reduce package count)
    o php-pdo_sqlite provided by php-sqlite
    o php-pdo_pgsql provided by php-pgsql
    o filepro dropped by upstream
  * new extension:
    o filter (kept static and cannot be unloaded, due security reasons)
    o json (added as Recommended)
    o zip (it uses a bundled library)
- fixed gcc issues (gcc.patch)
- droped obsoleted patches: include_path.patch, bug-37720.patch,
  bug-37306.patch, cgi_bugs.patch, bug-37587.patch, gd-fixes.patch,
  bug-37416.patch, main_bugs.patch, soap.patch, standard.patch,
  mbstring_bugs.patch, ze2_bugs.patch, xsl_bugs.patch, curl.patch
* Wed Aug 16 2006 postadal@suse.cz
- fixed build with X11R7
* Wed Jul 26 2006 postadal@suse.cz
- updated to version 5.1.4
  * FastCGI interface was completely reimplemented
  * multitude of improvements to the SPL, SimpleXML, GD, CURL and
    Reflection extensions
  * support for many additional date formats added to the strtotime()
  * a performance improvements added to the engine and core extensions
  * added imap_savebody() that allows message body to be written to a file
  * added lchown() and lchgrp() to change user/group ownership of symlinks
  * upgraded bundled PCRE library to version 6.6
- merged changes from openSUSE build service
  * removed unneeded sablot-devel,sqlite-devel,pcre-devel,fam-devel
    and libmcal from BuildRequires
  * added php-ctype,php-dom,php-iconv,php-pdo,php-pdo_sqlite,php-sqlite,
    php-tokenizer,php-xmlreader,php-xmlwriter to Recommends
  * added php-mbstring php-gd php-pear php-gettext php-mysqli to Suggests
  * added support for optional readline(libedit) for CLI
    (disabled by default)
  * patches for zendengine (ze2_bugs.patch), xsl (xsl_bugs.patch),
    curl (curl.patch) and mbstring bugs (mbstring_bugs.patch),
    big soap patch (soap.patch)
  * removed obsoleted patches
  * fixed Safe Mode Bypass [#188243] (standard.patch)
  * upstream patches
    [php#37306, php#37416, php#37587, php#37720]
    [php#37576, php#37496, php#37341, php#37313, php#37256] (cgi_bugs.patch)
    [php#37346, php#37360] (gd-fixes.patch)
  * fixed build inconsistences, added php-hash module [#173023]
  * added pdo_odbc.so to php-odbc module [#190614]
  * build without explicit safe_mode and magic_quotes (unneeded)
  * removed useless GD --with-ttf configure option, only suitable
    for freetype 1
* Fri Jun  9 2006 poeml@suse.de
- fix BuildRequires to build on SUSE Linux 10.1, 10.0, 9.3
- use the -fstack-protector compile switch only on 10.0 and newer
* Thu May 11 2006 postadal@suse.cz
- fixed memory leak in imagecreatefromgif()
  [#173451] (phpbug-37346.patch)
- fixed possibility of a wrong element being deleted by zend_hash_del()
  [#175976] (zend_hash_del.patch)
- fixed substr_compare() when offset equals string length
  [#169038, php#37394] (CVE-2006-1991, phpbug-37394.patch)
- fixed _emalloc() on 64bit archs [#169038] (emalloc.patch)
* Wed May  3 2006 postadal@suse.cz
- fixed completely broken SplTempFileObject [php#37257]
  (phpbug-37257.patch)
- fixed problem with with $_POST array [php#37276]
  (phpbug-37276.patch)
* Wed Apr 12 2006 postadal@suse.cz
- fixed security problem in copy() and tempname()
  [#164845] (CVE-2006-1494-1608.patch)
- fixed phpinfo() XSS [#164804] (CVE-2006-0996.patch)
- fixed memory leak in html_entity_decode  [#161718] (CVE-2006-1490.patch)
- fixed multiple imap safemode and open_basedir restriction bypass
  [#154317] (CVE-2006-1017.patch)
* Mon Mar 27 2006 postadal@suse.cz
- fixed buffer overrun in ftp_fopen_wrapper (ftp_fopen_wrapper.patch)
* Tue Mar 14 2006 postadal@suse.cz
- added updating APACHE_MODULES in /etc/sysconfig/apache2 [#155333]
- added forgotten regenerated sources for (parse_date.patch and
  phpbug-36459.patch)
- fixed upstream bugs:
    [php#36420] (phpbug-36420)
  - segfault when access result->num_rows after calling result->close()
    (mysqli-64bit.patch)
  - fixed a 64-bit problem
* Fri Mar  3 2006 postadal@suse.cz
- fixed a possible null injection in mbstring (mbstring-null_injection.patch)
- fixed upstream bugs:
    [mysql#16144] (phpbug-16144)
  - fix for MySQL 5.1 (mysql_stmt_attr_get)
    [php#36656] (phpbug-36656)
  - http_build_query generates invalid URIs due to use of square brackets
    [php#36396,36510,36510,36638] (parse_date.patch)
  - fixed few bugs in date/time parsing
    (string.patch)
  - added overflow checks to wordwrap() function
    [php#36459] (phpbug-36459)
  - incorrect adding PHPSESSID to links, which contains \r\n
* Fri Mar  3 2006 postadal@suse.cz
- added php5-openssl to php5-ftp Requires [#154273]
- added safe_mode num of parameter check for mb_send_mail [#154315]
* Fri Feb 10 2006 postadal@suse.cz
- fixed upstream bugs:
  [php#36306] (phpbug-36306.patch)
  - fixed crc32() for 64bit arch
  [php#36351] (phpbug-36351.patch)
  - parse_url() did not parse numeric paths properly
  (spl_directory.patch)
  [php#35998]
  - getPathname() method always returns unix style filenames
  [php#36134]
  - DirectoryIterator constructor failed to detect empty directory names
  [php#36258]
  - SplFileObject::getPath() may lead to segfault
  [php#36287]
  [php#36295]
  [php#36359]
  - splFileObject::fwrite() doesn't write when no data length specified
  (session2.patch)
  - fixed logic, if the client already sent us the cookie, we don't
    need to send it again
  (soap.patch) [php#36226, php#36083, php#36283]
  (math.patch, simplexml.patch, mbstring.patch, zend_operators.patch, xp_socket.patch)
  - initialize variables
* Sat Feb  4 2006 postadal@suse.cz
- removed gd-devel from BuildRequires (better used bundled modified gd lib)
- fixed upstream bugs:
  [php#36268] (phpbug-36268.patch)
  [php#36148] (phpbug-36148.patch)
  [php#36185] (phpbug-36185.patch)
  [php#36208] (phpbug-36208.patch)
  [php#36158] (phpbug-36158.patch)
* Tue Jan 31 2006 postadal@suse.cz
- reverted default value for short_open_tag to On [#145895]
* Mon Jan 30 2006 postadal@suse.cz
-  fixed upstream bugs:
  [php#36176] (phpbug-36176.patch)
  (pdo.patch)
  - properly rewrite queries where a bound parameter appears more then once
* Mon Jan 30 2006 poeml@suse.de
- removed libapr-util1-devel from BuildRequires (apache2-devel does
  require it)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 postadal@suse.cz
- added php5-pdo to requires for pdo_mysql, pdo_pgsql, pdo_sqlite and
  sqlite and php5-dom to requires for xmlreader and xsl [#144360]
- revert name of extensions (appended suffix .so) [#143552]
- removed _FILE_OFFSET_BITS=64 and _LARGEFILE_SOURCE from CFLAGS
  (doesn't work with apache2 configuration, which uses libapr with
  native support for large files) [#144362]
- added -fstack-protector
* Mon Jan 23 2006 postadal@suse.cz
- added forgoted extension xmlwrite
- gave back simple dot to include_path [#129682]
- fixed upstream bugs:
  [php#36071] (phpbug-36011.patch)
  [php#36016] (phpbug-36016.patch)
  - realpath cache memleaks
  [php#36071] (phpbug-36071.patch)
  - Zend engine crash related with 'clone'
  (zend-fix.patch)
  - fix issues with static method invocation
  - ce_child is properly initialized
  [php#36046] (phpbug-36046.patch)
  - parse_ini_file() miscounts lines in multi-line values
  [php#36037] (phpbug-36037.patch)
  - heredoc adds extra line number
  [php#36006] (phpbug-36006.patch)
  - problem with $this in __destruct()
  (gd.patch)
  - improve open_basedir checks in GD
  [php#36007] (phpbug-36007.patch)
  - added new mysqli constants for BIT and NEW_DECIMAL field types (for mysql 5)
  (session.patch)
  - check for special characters in the session name
  (xmlreader.patch)
  - 64bit fixes
* Thu Jan 19 2006 postadal@suse.cz
- disable discard-path for fastcgi binary [#143564]
* Wed Jan 18 2006 postadal@suse.cz
- updated to version 5.1.2
- removed obsoleted patches: CAN-2005-1042_1043.patch, CVE-2005-3353.patch,
  openssl.patch, soap.patch, pdo.patch, simplexml.patch, curl.patch,
  ze.patch
- added pdo, pdo_mysql, pdo_pgsql, pdo_sqlite extensions
* Tue Jan 17 2006 mrueckert@suse.de
- remove apache2-mod_fastcgi from nfb it seems to be unused
* Sat Jan 14 2006 kukuk@suse.de
- Add gmp-devel to nfb
* Tue Jan 10 2006 ro@suse.de
- avoid rpath /usr/ssl/lib in curl ext
* Wed Jan  4 2006 postadal@suse.cz
- updated to version 5.1.1 [#135635, #139297]
- removed obsoleted patches: php5-with_lib.patch, soap.patch, posix.patch,
  gcc4.patch, save_path-segfault.patch, basedir-fix.patch,
  RPC-CAN-2005-1921.patch, RPC-CAN-2005-2498.patch, pcre-overflow-bug-106209.patch,
  CVE-2005-3388.patch, CVE-2005-3389.patch, CVE-2005-3390.patch,
  mod_rewrite-fix.patch, mbstring.patch, CVE-2005-3391.patch, CVE-2005-3392.patch,
  errordocument-fix.patch
- removed sqlite2 from build dependencies and added libtidy libtidy-devel
- removed dbx, fam, yp, dio extensions (upstream deprecated)
- added dba, tidy and xmlreader extensions
- renamed libphp5.so -> mod_php5.so (need it for yast module)
- added upstream patches:
  openssl.patch [php#35381]
  soap.patch [php#35399]
  pdo.patch [php#35431, php#35430]
  simplexml.patch [php#35028]
  curl.patch [php#35908]
  ze.patch [php#35393]
- updated pear sources install-pear-nozlib.phar
- package CLI instad CGI binaries [#137443]
- reverted last changes (problem caused curl-devel package)
* Thu Dec 15 2005 mmarek@suse.cz
- provide php-pear in php5-pear
- add /usr/share/php5/PEAR to include path
* Tue Dec  6 2005 postadal@suse.cz
- fixed [php#33987] bug (php script as ErrorDocument causes crash
  in Apache 2).
* Mon Dec  5 2005 postadal@suse.cz
- fixed unexpected header can be injected to mb_send_mail()
  [#135673] (mbstring.patch)
- added safe_mode checks for image* functions and cURL
  [#135673] (CVE-2005-3391.patch)
- fixed possible INI setting leak via virtual() in Apache 2 sapi
  [#135673] (CVE-2005-3392.patch)
* Tue Nov 29 2005 mmarek@suse.cz
- build with flex-old until upstream fixes build with flex-2.5.31
* Mon Nov 28 2005 postadal@suse.cz
- fixed CVE-2005-3388.patch [#131578]
* Fri Nov 25 2005 postadal@suse.cz
- fixed segfaulting with mod_rewrite [#135480] (mod_rewrite-fix.patch)
* Tue Nov 22 2005 uli@suse.de
- define ARM FP(A) endianness correctly
* Tue Nov 15 2005 mmarek@suse.cz
- fixed infinite recursion in exif code
  [#132684] (CVE-2005-3353.patch)
- fixed XSS in phpinfo()
  [#131578] (CVE-2005-3388.patch)
- fixed register_globals actvation in parse_str()
  [#131579] (CVE-2005-3389.patch)
- fixed possible $GLOBALS overwrite
  [#131580] (CVE-2005-3390.patch)
- fixed handling basedirs that end with a /
  [#118976] (basedir-fix.patch)
- fixed segfaulting when save_path is set and safe_mode is On
  [#130227] (save_path-segfault.patch)
* Tue Oct 25 2005 rhafer@suse.de
- added LDAP_DEPRECATED to CFLAGS to build correctly with
  OpenLDAP 2.3
* Fri Oct 14 2005 postadal@suse.cz
- fixed recode extension [#120087] (recode-fix.patch)
- enabled _GNU_SOURCE for compiling
* Wed Oct 12 2005 postadal@suse.cz
- fixed implicit declaration (gcc4.patch)
* Mon Oct 10 2005 postadal@suse.cz
- fixed uninitialized variables (gcc4.patch)
* Thu Sep  1 2005 postadal@suse.cz
- added security patch pcre-overflow-bug-106209.patch for internal
  libpcre and statically linked against it [#114157]
- added include_path = "/usr/share/php" to php.ini [#114406]
* Thu Aug 25 2005 postadal@suse.cz
- linked with system pcre libs (pcre-fix.patch) [#112645]
* Thu Aug 18 2005 postadal@suse.cz
- fixed XML RPC command injection
  (#94579, CAN-2005-192 and #104403, CAN-2005-2498)
* Tue Aug  9 2005 mls@suse.de
- removed compat from neededforbuild
* Tue Aug  2 2005 tcrhak@suse.cz
- dropped php4-dba and php4-readline due to license problems (bug #91489)
- compile without -DPHP_AP_DEBUG (bug #95502)
- fixed php-config to return a correct includes path (patch php5-php-config)
- fixed a sigsegv in the soap extension (bug #99268, patch php5-soap)
* Mon Apr 25 2005 mcihar@suse.cz
- added pspell subpackages
* Tue Apr 19 2005 mcihar@suse.de
- update tarball to rereleased one which contains missing file
* Sat Apr  9 2005 aj@suse.de
- Compile with GCC4.
* Mon Apr  4 2005 mcihar@suse.cz
- update to 5.0.4
- drop patches merged upstream
- add RunTests.php missing from upstream tarball
* Thu Mar 17 2005 mcihar@suse.cz
- fix path to configuration files
* Mon Mar 14 2005 mcihar@suse.cz
- do not build CLI with all GCI stuff
- fix build when extensions are built as *.so instead of just *
- use different php.ini for each SAPI, this is needed for giving CLI more space to live (bug #72311)
* Wed Mar  9 2005 mcihar@suse.cz
- provide compiled in modules
* Mon Mar  7 2005 mcihar@suse.cz
- fix path to php5 binary in pear5 script (bug #71044)
* Thu Mar  3 2005 mcihar@suse.de
- realy enable xml module
* Tue Mar  1 2005 mcihar@suse.cz
- provide only mod_php_any in apache module (bug #66729)
* Mon Feb 21 2005 mcihar@suse.cz
- fix some compile time warnings
* Thu Feb 10 2005 mcihar@suse.cz
- add zlib dependency to pear (bug #50697)
* Wed Feb  9 2005 mcihar@suse.cz
- use correct path to apache2_MMN
- comment some patches
- update README.SUSE
- drop unused sce_install
- each extension now provides also unversioned symbol, to allow not to depend
  on specific php version
- drop MIME type change as both php modules don't work together anyway
* Tue Feb  8 2005 mcihar@suse.cz
- drop actually unused patches
- fix build on ia64 (endians patch, stolen from cvs) (still doesn't build due to missing current MySQL)
- fix build on lib64 machines
* Mon Feb  7 2005 mcihar@suse.cz
- initial packaging of php5
- suse addons are now in tarball instead of patch
- reorganize patches
- simplified build system
* Wed Jan 26 2005 mcihar@suse.cz
- update asp2php
- drop lynx from buildrequires
* Tue Jan 11 2005 mcihar@suse.cz
- fix broken int unserializing on 64-bit (bug #49617)
* Fri Dec 17 2004 poeml@suse.de
- update to 4.3.10
- for apache module, pick up CFLAGS from apxs [#49356]
- drop obsolete php-4.3.9RC3.diff
- update lib64.diff
- fix return type in php_sprintf()
- don't apply php-4.3.8-snmp.diff
- do not clean buildroot in buildsystem to facilitate debugging
- fix PreRequires (sce_install_path) [#46664]
* Thu Nov 18 2004 ro@suse.de
- use kerberos-devel-packages
* Thu Nov  4 2004 ro@suse.de
- added rpm-devel,popt-devel,tcpd,tcpd-devel to neededforbuild (for snmp)
* Tue Oct  5 2004 pmladek@suse.cz
- added /usr/lib/php/sce_install to prerequires of php4-swf; it is in the
  package php4-32bit on x86_64 [#46475]
* Thu Sep 23 2004 tcrhak@suse.cz
- security fix for array parsing (bug #45710) and
  some other fixes from php-4.3.9RC3 (patch 4.3.9RC3)
- removed the #%%endif causing syntax error during /usr/lib/php/sce_install (bug #45589)
- /var/lib/php is now owned by wwwrun (bug #45360)
- reverted dlopen flag back to RTLD_GLOBAL (bugs #39197 and #41866),
  php4-recode now conflicts with php4-imap, php4-mysql and apache2-mod_auth_mysql,
  mod_php4-core does not require php4-recode any more
- dropped php4-dba and php4-readline due to license poblems (bug #45654)
* Fri Sep 17 2004 tcrhak@suse.cz
- added tomcat5 to the Requires of php4-servlet
* Wed Sep 15 2004 tcrhak@suse.cz
- removed the build dependency on tomcat5
- added tomcat5 directories to filelist
- enabled iconv for the other archs
* Tue Sep 14 2004 skh@suse.de
- use new JPackage packages tomcat5 and servletapi5 to build
* Fri Sep 10 2004 tcrhak@suse.cz
- do not source setJava
* Fri Sep  3 2004 tcrhak@suse.cz
- update to 4.3.8
- added module dbx (bug #43972)
- use system gd library, includes "GIF Create Support" (bug #44001)
- disallow persistant connections by default (bug #34849)
- use /var/lib/php for php sessions by default (bug #36886)
- php modules need to prereq sce_install (bug #43994)
* Thu Aug 19 2004 aj@suse.de
- Remove broken cat commands from post section:
  * no requires for them
  * no need to execute them
* Mon Aug 16 2004 ro@suse.de
- fix build with updated libcurl: use current instead of
  deprecated type for curl_httppost
* Tue Jun  8 2004 ro@suse.de
- removed mod_dav from neededforbuild
- removed mod_php4 package (mod_php4-core is probably obsolete too)
* Tue May  4 2004 tcrhak@suse.cz
- build with postfix instead of sendmail
* Thu Apr 29 2004 ro@suse.de
- remove apache1 related parts
* Fri Apr 23 2004 tcrhak@suse.cz
- added sendmail to neededforbuild, so that mail() is defined (bug #39153)
- dlopen php modules with RTLD_LOCAL (fixes bug #39197)
* Wed Mar 31 2004 tcrhak@suse.cz
- added php module recode (bug #36573)
- fixed requires of mod_php4-apache2 (bug #37041)
* Mon Mar 22 2004 ro@suse.de
- build-fix for jakarta-tomcat from skh
- removed apache-contrib from neededforbuild (dropped)
* Tue Mar 16 2004 tcrhak@suse.cz
- removed --enable-versioning (fixes bug #35716)
- do not build servlet for ia64, ppc and ppc64
* Fri Mar  5 2004 tcrhak@suse.cz
- modularized
- updated to version 4.3.4
- added fastcgi
- added PHP4 module sockets
- added PHP4 module mime_magic (bug #34134)
- php binary is now CLI, not CGI (bug #34152)
* Wed Feb 18 2004 ro@suse.de
- use jakarta-tomcat4
* Mon Feb 16 2004 ro@suse.de
- use unixODBC instead of iodbc
* Tue Feb 10 2004 poeml@suse.de
- fix symbol exports for apache2
- add -fno-strict-aliasing to CFLAGS, due to code where
  dereferencing type-punned pointers would break strict aliasing
- fix test load of apache2 module (the LoadModule statement went
  into the wrong place)
* Sun Feb  8 2004 schwab@suse.de
- Fix symbol exports.
- Also look for BEAJava2 directory.
- Fix quoting.
* Thu Jan 22 2004 ro@suse.de
- fix build with current automake
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Tue Jan 13 2004 ro@suse.de
- remove subpackage aolserver
- fix build with current freetype
* Mon Nov 10 2003 ro@suse.de
- use net-snmp instead of ucdsnmp
* Thu Oct 30 2003 tcrhak@suse.cz
- ad previous fix: create the directory
* Wed Oct 29 2003 tcrhak@suse.cz
- added %%{_libdir}/php/bin to file list of mod_php4-core
* Mon Sep 22 2003 mls@suse.de
- remove 'Obsoletes: mod_php' from mod_php4, otherwise rpmv4
  makes mod_php4 conflict with apache2-mod_php4
* Tue Sep 16 2003 tcrhak@suse.cz
- update to version 4.3.3
* Mon Sep  1 2003 tcrhak@suse.cz
- expand rpm macros in /etc/httpd/modules/mod_php4 [bug #29664]
* Thu Aug 21 2003 tcrhak@suse.cz
- update to version 4.3.2
- use BuildRoot
- added activation metadata to sysconfig [bug #28827]
* Mon Aug 18 2003 poeml@suse.de
- add README.{SuSE,UnitedLinux} [#25888]
- don't explicitely strip binary objects, because RPM does it
  anyway, and it might keep the stripped debugging info somewhere.
- don't try to install a file in /etc/apache2/modules/ (it's gone)
* Mon Jun 30 2003 ro@suse.de
- always use libtool to compile objects
- added directories to filelist
* Thu Apr 10 2003 tcrhak@suse.cz
- use 'head -n 1' instead of 'head -1'
- added mhash support
* Wed Mar 26 2003 tcrhak@suse.cz
- fixed path in script phpize
- fixed ext/mysql/config.m4
* Thu Mar 13 2003 tcrhak@suse.cz
- fixed order of Type and Define in sysconfig metadata
- readded subpackage servlet (patch servlet)
- reenabled support for swf
- install swf fonts, use proper SWFFONTPATH
  (bug #18057, patch swf)
* Tue Mar  4 2003 poeml@suse.de
- the apache2 module requires the apache2-prefork MPM
* Thu Feb 20 2003 tcrhak@suse.cz
- security update to version 4.3.1 - fixes a CGI vulnerability
- added sysconfig metadata [bug #22604]
* Fri Feb 14 2003 tcrhak@suse.cz
- added php3, php4 to DirectoryIndex [bug #22066]
* Thu Feb 13 2003 ro@suse.de
- really disable (empty) subpackage servlet
* Wed Feb 12 2003 poeml@suse.de
- rename subpackage mod_php4_2 to apache2-mod_php4
* Tue Feb 11 2003 poeml@suse.de
- call the new /usr/share/apache2/get_module_list script to
  configure apache2, so the test can be passed
* Wed Jan 15 2003 ro@suse.de
- use sasl2
* Fri Jan 10 2003 poeml@suse.de
- don't built -servlet for now, needs work
- swf.h has vanished from ./dist/include/, and I can't find another
  one --> disabling swf support
* Thu Jan  9 2003 poeml@suse.de
- update to 4.3.0
  - GD library is now bundled with the distribution and it is
    recommended to always use the bundled version
  - vpopmail and cybermut extensions are moved to PECL
  - several deprecated extensions (aspell, ccvs, cybercash, icap)
    and SAPIs (fastcgi, fhttpd) are removed
  - speed improvements in a variety of string functions
  - Apache2 filter is improved, but is still considered
    experimental (use with PHP in prefork and not worker (thread)
    model since many extensions based on external libraries are not
    thread safe)
  - various security fixes (imap, mysql, mcrypt, file upload, gd, etc)
  - new SAPI for embedding PHP in other applications (experimental)
  - much better test suite
  - significant improvements in dba, gd, pcntl, sybase, and xslt
    extensions
  - debug_backtrace() should help with debugging
  - error messages now contain URLs linking to pages describing the
    error or function in question
  - Zend Engine has some fixes and minor performance enhancements
  - and TONS of other fixes, updates, new functions, etc
- build apache2 module
- QtDOM support is now in qt3, and therefore we need to link
  against libqt-mt
- merge the lib64 patch, hope it's complete
- gd lib is now bundled, and preferred for building
- adjust the Provides of the -core package
* Thu Nov 21 2002 ro@suse.de
- make it build with current automake
* Wed Oct 16 2002 tcrhak@suse.cz
- added support for readline
- added support for iconv and mbstrings [bugs #19861 and #19862]
* Fri Sep 27 2002 tcrhak@suse.cz
- added type .php3 to apache mod_php4.conf
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Sep  3 2002 tcrhak@suse.cz
- fixed to build on 64 bit archs
* Fri Aug 23 2002 tcrhak@suse.cz
- fixed to build on non-i386 archs
- added dynamic extensions to the file list of subpackage core
* Tue Aug 20 2002 tcrhak@suse.cz
- added PreReq
* Tue Aug 13 2002 kukuk@suse.de
- Remove unused qt2 from neededforbuild
* Wed Aug  7 2002 uli@suse.de
- fixed to build on lib64 archs (still broken on nearly all archs
  due to other problems)
* Mon Aug  5 2002 ro@suse.de
- use "-follow" when searching for jni.h
* Sun Jul 28 2002 kukuk@suse.de
- remove unused gdb from neededforbuild
* Sat Jul 27 2002 adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 kukuk@suse.de
- Add imap-lib to neededforbuild
* Tue Jul 23 2002 tcrhak@suse.cz
- update to version 4.2.2
- update of asp2php to version 0.76.12
- detect the module magic number if provided by apache, indicating
  API changes, and add an RPM Require on it
- add compiled extensions (currently gd.so, as it is build shared
  by a previous change by bk@suse.de) to php.ini and filelist
* Fri Jul  5 2002 kukuk@suse.de
- Use %%ix86 macro
* Tue May 28 2002 ro@suse.de
- replaced /opt/jakarta with /opt/jakarta/tomcat
* Mon May 27 2002 ro@suse.de
- first try for lib64
* Mon May 27 2002 bk@suse.de
- use shared libgd on all archs
* Sat Mar 23 2002 ro@suse.de
- removed unixODBC stuff, was never used (iodbc is used)
* Fri Mar 15 2002 tcrhak@suse.cz
- added %%{_datadir}/lib/php and extension dir to devel filelist
* Mon Mar  4 2002 okir@suse.de
- security fix
* Fri Feb 22 2002 tcrhak@suse.cz
- Killed %%{release} from "Requires" tags.
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Jan 28 2002 ro@suse.de
- added des to neededforbuild
* Mon Jan 28 2002 ro@suse.de
- added heimdal stuff to build
* Wed Jan 23 2002 ro@suse.de
- try to build with db-devel in neededforbuild
* Thu Jan 17 2002 ro@suse.de
- adapted for /etc/sysconfig/apache
* Thu Dec 20 2001 tcrhak@suse.cz
- update to 4.1.0
- no mm support for aol and servlet (mm is not ZTS in 4.1 yet)
- patched acinclude.m4 to find the very dir for mysql libraries
- added `php-config --extension-dir` to core files
* Mon Dec 10 2001 tcrhak@suse.cz
- fixed extension section
* Thu Dec  6 2001 tcrhak@suse.cz
- added section [extension section] to php.ini
- fixed options given to configure
* Tue Dec  4 2001 tcrhak@suse.cz
- fixed configure.in and config.m4's for autoconf 2.52
- added libtoolize, autoconf, autoheader
- used setJava to find JAVA_HOME
- TTF - bug 9523
- gd  - bug 12226
- changed the order in which subpackages (for Servers) are built,
- so that the devel package corresponds to core
- (=> experimental-zts disabled)
- moved phpize to the devel package (fixed for autoconf 2.52)
- added files needed by phpize to the devel package
* Mon Dec  3 2001 ro@suse.de
- changed servlet dir for configure with jakarta
* Mon Dec  3 2001 ro@suse.de
- fixed neededforbuild <jakarta> to <jakarta-tomcat>
* Tue Nov 20 2001 rolf@suse.de
- changes to make IA64 work
- exclude subpackages AOL and Servlet from AXP
* Sun Nov 18 2001 ro@suse.de
- fix to find java
* Wed Nov 14 2001 rolf@suse.de
- new subpackage -devel with include files
* Mon Nov 12 2001 ro@suse.de
- hack for libxml2 include location
* Thu Oct 25 2001 ro@suse.de
- use qt2 for qtdom (but aparently that is not built anyway)
* Wed Oct 24 2001 ro@suse.de
- try neededforbuild alias apache-devel-packages
* Mon Sep 10 2001 ro@suse.de
- remove roxen subpackage
  roxen is not in the distribution currently
* Wed Aug 22 2001 ro@suse.de
- removed pdflib from neededforbuild (license problems)
* Tue Aug 14 2001 ro@suse.de
- pear: changed header to look for php in "bindir" not "prefix/bin"
  to fix requires
* Mon Aug 13 2001 kukuk@suse.de
- Don't conflict with packages we are providing
* Thu Aug  9 2001 kukuk@suse.de
- Fix search for installed java directory
* Tue Jul 24 2001 rolf@suse.de
- new subpackage mod_php4-aolserver for use of PHP4 with AOL server
- disable-debug so Zend optimizer can work
* Thu Jul  5 2001 rolf@suse.de
- update to php 4.0.6
- apply memlimit patch
- new subpackage mod_php4-servlet for use of PHP4 as JAVA servlet
  with tomcat
- new options: --with-gmp, --with-dom, mbstring
* Mon Jun 25 2001 rolf@suse.de
- fixed bug with pdflib which also fixes [BUG#8246]
* Tue Jun 19 2001 rolf@suse.de
- new version 4.0.5
- disable pgsql for roxen, as it is broken
- mysql bug fixed in this release [BUG#6839]
- move stuff to /usr/share/php [BUG#8352]
- now Provides: mod_php as well [BUG#8911]
* Sat May 12 2001 schwab@suse.de
- Use new readline interface.
* Tue May  8 2001 mfabian@suse.de
- bzip2 sources
* Tue May  1 2001 kukuk@suse.de
- disable adabas support
* Thu Apr 26 2001 ro@suse.de
- neededforbuild: curl_ssl-devel -> curl-devel
* Sun Apr  8 2001 poeml@suse.de
- fix Requires (rearrange tags to define them before using them)
- fix spec file typo
* Tue Mar 27 2001 rolf@suse.de
- spin off subpackage mod_php4-core which is required by apache and
  roxen modules now
- moved config file to /etc/php.ini for all php4 modules
- sybase support conflicts with Adabas D support
- Ingres support is for Ingres II only
- added t1lib support [BUG#6212]
- updated asp2php 0.75.13
- make us of suse_loadmodule for testing
- added /usr/bin/php to core package [BUG#6648]
* Wed Mar 21 2001 ro@suse.de
- changed neededforbuild to freetype2
* Thu Mar 15 2001 ro@suse.de
- build with openldap2
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Mon Mar  5 2001 ro@suse.de
- use -fPIC
* Fri Feb 23 2001 ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Thu Feb 22 2001 ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu Feb 15 2001 rolf@suse.de
- new features imap-ssl, bz2, qtdom, ctype, debug, force-cgi-redirect,
  discard_path, sigchild, gd-imgstrttf
- added apache-mod_php4.rc.config
- added /etc/httpd/modules/mod_php4
* Wed Jan 17 2001 rolf@suse.de
- add libpdf support
* Tue Jan 16 2001 rolf@suse.de
- update to 4.0.4pl1 due to security issue [BUG#5760]
- remove number4.tar.gz, no longer needed
* Fri Jan 12 2001 rolf@suse.de
- need expat to compile [BUG#5104]
- subpackage for roxen module
* Fri Jan 12 2001 cihlar@suse.cz
- fixed to compile with roxe/pike [#4408]
* Tue Dec 19 2000 rolf@suse.de
- link with libssl
* Tue Dec 19 2000 rolf@suse.de
- added the asp2php package [BUG#4456]
- roxen/pike still doesnt work
- require RPM group tag via apxs
* Wed Nov 29 2000 ro@suse.de
- changed neededforbuild <pg_lib> to <postgresql-lib>
* Mon Nov 27 2000 rolf@suse.de
- added Sablotron support     [BUG#3891]
- added curl support          [BUG#3890]
- added Flash support on i386 [BUG#3209]
- also pack module files in /usr/lib/php/
- moved the exec dir to /usr/lib/php/bin
- include pear binaries
- added the following modules: sockets, shmop, exif, filepro, dbase
  readline, mcrypt, gettext
* Wed Nov 15 2000 ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Wed Nov  8 2000 ro@suse.de
- prefer ndbm.h to db1/ndbm.h
* Mon Nov  6 2000 ro@suse.de
- added imap-devel to neededforbuild
* Mon Nov  6 2000 ro@suse.de
- fixed neededforbuild
* Mon Oct 16 2000 bk@suse.de
- s390: --with-gd=yes -> --with-gd=shared(broken somehow with =yes)
* Mon Oct 16 2000 rolf@suse.de
- update tp 4.0.3pl1 due to some security breaches
- needed to drop db3 and dbm support, as these are incompatible
- enable FTP support [BUG#3862]
* Wed Sep 13 2000 fober@suse.de
- s390: suse_update_config, needs-not-forbuild adabas
* Fri Jul  7 2000 kukuk@suse.de
- Fix Requires and need for build
* Fri Jun 23 2000 rolf@suse.de
- added support for mcal and calendar functions [BUG#2925]
* Sun Jun 18 2000 ro@suse.de
- fixed to compile with new postgres
* Mon May 22 2000 rolf@suse.de
- update to 4.0.0
- --with-java is now broken
* Fri May 12 2000 rolf@suse.de
- update to 4.0RC2
- a few more options are now functional
* Thu Apr 13 2000 ro@suse.de
- added mm to neededforbuild
* Thu Mar 30 2000 rolf@suse.de
- new version 4.0RC1
- many options now work properly
* Wed Mar  1 2000 rolf@suse.de
- zlib works again
* Tue Feb 22 2000 rolf@suse.de
- new version 4b4pl1
- now with --enable-thread-safety --with-gd=yes --with-ttf
- imap support is now broken
* Thu Dec 23 1999 rolf@suse.de
- dynamic JDK path detection
- some fixes in DAV, still doesnt work
- now also runs with IMAP
* Thu Nov 25 1999 rolf@suse.de
- initial package version 4.0b3
